<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
	
// load mootool
$javersion = new JVersion();
if($javersion->RELEASE=='1.7'){
	JHtml::_('behavior.framework', true);
}
else{
	JHTML::_('behavior.mootools');
}

// Require the base controller
require_once (JPATH_COMPONENT.DS.'controller.php');
include_once ("components/com_jashowcase/views/jaview/view.html.php");
include_once (JPATH_COMPONENT.DS.'libs'.DS.'helper.php');

$document = & JFactory::getDocument();

$document->addStylesheet(JURI::root().'administrator/components/com_jashowcase/assets/css/jashowcase.css');

$document->addScript(JURI::root().'components/com_jashowcase/assets/js/jquery.js');
$document->addScript(JURI::root().'administrator/components/com_jashowcase/assets/js/jashowcase.js');

// Require specific controller if requested
if($controller = JRequest::getWord('view', 'jashowcase')) {
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) {
		require_once $path;
	} else {
		$controller = '';
	}
}

// Create the controller
$classname	= 'JashowcaseController'.ucfirst($controller);

$controller	= new $classname( );

// Perform the Request task
$controller->execute( JRequest::getVar('task'));

// Redirect if set by the controller
$controller->redirect();

?>
