/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

jQuery.noConflict();

function submitbutton(pressbutton) {
  var form = document.adminForm;
  if (form && form.tmpl) {
    if (pressbutton == 'previewCustomFields') {
      form.target = '_blank';
      form.tmpl.value = 'component';
      form.viewmenu.value = '';
    } else {
      form.target = '';
      form.tmpl.value = '';
      form.viewmenu.value = '1';
    }
  }
  form.task.value = pressbutton;
  form.submit();
}

function displayCache() {
  var isdisplay = '';
  if ($('cache[caching]0').checked) {
    isdisplay = 'none';
  }
  $('tr_cache_time').setStyle('display', isdisplay);
  $('tr_cache_base').setStyle('display', isdisplay);
}

jQuery(document).ready(function($) {
  $('li').click(function() {
    var active = $$('li');
    for ( var i = 0; i < active.length; i++) {
      active[i].removeClass('focused');
    }
    this.addClass('focused');
  });
});

function catchTab(item, e) {
  if (navigator.userAgent.match("Gecko")) {
    c = e.which;
  } else {
    c = e.keyCode;
  }
  if (c == 9) {
    var offset = jQuery('#editFile').scrollTop();
    replaceSelection(item, String.fromCharCode(9));
    setTimeout("document.getElementById('" + item.id + "').focus();", 0);

    jQuery('#editFile').scrollTop(offset);
    offset = offset * -1;
    offset = '0 ' + offset + 'px';
    jQuery(e).css('background-position', offset);

    return false;
  }

}
function scrollEditor(e) {
  var offset = jQuery(e).scrollTop();
  offset = offset * -1;
  offset = '0 ' + offset + 'px';
  jQuery(e).css('background-position', offset);

}

function jaCreatFormColor(jatask, location, jaWidth, jaHeight, cid, textadd,
    textcancel, issave, class_css) {
  if (issave == 1) {
    class_css = jQuery('#class_css' + cid).css('background-color');
    if (class_css != 'transparent') {
      if (class_css)
        class_css = rgb2hex(class_css);
    } else
      class_css = '';
  } else {
    class_css = jQuery('#class_css').attr('value');
  }
  var url = siteurl + "&task=" + jatask + "&cid[]=" + cid;

  url += '&viewmenu=0';
  var obj = jQuery("#ja-wrap-color");
  if (obj)
    obj.remove();
  var content = jQuery('<div>').attr( {
    'id' : 'ja-wrap-color'
  }).appendTo(document.body);
  var jacolor = jQuery('<div>').attr( {
    'id' : 'ja-form-color',
    'style' : 'top: 0px;'
  });

  jacolor.appendTo(content);

  jQuery('<button>').attr( {
    'id' : 'ja-color-save'
  }).html(textadd).appendTo(jQuery('#ja-wrap-color'));

  jQuery("#ja-color-save").click(function() {
    submitColor(siteurl, cid, issave);
  });

  jQuery('<button>').attr( {
    'id' : 'ja-color-cancel'
  }).html(textcancel).appendTo(jQuery('#ja-wrap-color'));

  jQuery("#ja-color-cancel").click(function() {
    cancelColor();
  });

  var pos = jQuery(location).offset();
  var topPos = pos.top - jQuery(window).scrollTop() - 50;
  var height = jQuery(window).height();
  var absTop = eval(eval(height) - eval(topPos) - eval(jaHeight)) - 60;

  if (absTop < 0) {
    topPos = pos.top - jaHeight - 60 - jQuery(window).scrollTop();
  }
  var leftPos = pos.left + 80;

  jQuery("#ja-form-color").css( {
    'top' : topPos,
    'left' : leftPos + 15
  });

  jQuery("#ja-color-save").css( {
    'top' : topPos + jaHeight + 10,
    'left' : leftPos + jaWidth - 95,
    'height' : 0,
    'cursor' : 'pointer'
  });

  jQuery("#ja-color-cancel").css( {
    'top' : topPos + jaHeight + 10,
    'left' : leftPos + jaWidth - 45,
    'height' : 0,
    'cursor' : 'pointer'
  });
  new Ajax(url, {
    method : 'get',
    onComplete : function(text) {
      jQuery('#ja-form-color').html(text);
      loadComplete(topPos, leftPos, jaHeight, jaWidth, class_css);
    }
  }).request();
  if (jQuery('#ja-form-color').get().length > 0)
    jQuery('#ja-form-color').animate( {
      top : topPos + "px",
      left : leftPos + "px",
      width : jaWidth + "px",
      height : jaHeight + "px"
    }, 200);
  jQuery('#ja-form-color').fadeIn();

}
function jascParseData(sjson){	
	if(MooTools["version"] < 1.2){
		var responses = Json.evaluate(sjson);
	}else{
		var responses = Json.decode(sjson);
	}
			
	var data = responses.data;	
	data.each(function(item) {
		var divId 	= item.id;
		var type 	= item.type;
		var value 	= item.content;		
		if ($(divId) != undefined) {			
			if(type == "addinnerHTML"){
				//$(divId).setHTML($(divId).innerHTML + value);
				new Element ('div').setHTML (value).getChildren().inject ($(divId));
				//setTimeout("jasc_process_ajax = 0", 2000);				
			}else if(type == "value"){
				$(divId).value = value;				
			}else if(type == "changedisplay"){
				$(divId).style.display = value;				
			}else if(type == "addValue"){
				$(divId).value = parseInt($(divId).value,10)+1;				
			}else if(type == "addClass"){
				$(divId).addClass(value);	
			}else if(type == "removeClass"){
				$(divId).removeClass(value);	
			}else{				
				$(divId).innerHTML = value;				
			}			
		}else{
			if(divId == "callfunction"){				
				loadDownload(value);
			}
		}
	});	
}
function jascSelectCusTheme(themeName){
	
	if(themeName != 0){
		url = "index.php?option=com_jashowcase&tmpl=component&view=jaconfig&task=loadtemplatefile&theme="+themeName;
		new Ajax(url, {method: 'get', onComplete: function(text){		
			jascParseData(text);										 							
		}}).request();
	}else{
		
		$("jasc_file_path").innerHTML = "";
		$("jasc_custom_file").value = "";
	}	
}