<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
 * @package		Joomla
 * @subpackage	Config
 */

class JashowcaseControllerJamanagelang extends JashowcaseController {
  /**
   * Constructor
   */
  function __construct( $default = array()) {
    parent::__construct( $default );
    $this->registerTask( 'apply', 'save');
  }

  /**
   * Display the list of language
   */
  function display(){
    switch($this->getTask()) {
      case 'add':
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'edit', false  );
        JRequest::setVar( 'layout', 'form' );
        break;

      case 'edit'    :
        JRequest::setVar( 'hidemainmenu', 1 );
        JRequest::setVar( 'edit', true  );
        JRequest::setVar( 'layout', 'form' );
        break;

    }
    JRequest::setVar('view', 'jamanagelang');
    parent::display();
  }

  /**
   * cancel  save file
   * @return redirect to language manager
   **/
  function cancel(){
	$option = JRequest::getCmd('option');
    $client = JRequest::getVar('client', 0);
    $this->setRedirect("index.php?option=$option&view=jamanagelang&client=$client");
  }

  /**
   * save  language file
   * @return void
   **/
  function save(){
	$option = JRequest::getCmd('option');
    jimport('joomla.filesystem.file');
    $post	= JRequest::get('post');
    $file = $post['path_lang'].DS.$post['filename'].DS.$post['filename'].'.'.$option.'.ini';
    JFile::write($file, $post['datalang']);
    if($this->getTask() == 'apply'){
      $this->setRedirect('index.php?option='.$option.'&task=edit&view=jamanagelang&client='.$post['client'].'&lang='.$post['filename'], JText::_('FILE_SAVED'));
    }else{
      $this->setRedirect('index.php?option='.$option.'&view=jamanagelang&client='.$post['client'], JText::_('FILE_SAVED'));
    }
  }
}
?>