<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

/**
* Jacategories Table class
*
* @package		Joomla
* @subpackage	Jashowcase
* @since 1.0
*/
class TableJacategories extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id           = 0;
	var $title        = null;
	var $alias        = null;
	var $parent_id    = null;
	var $description  = null;
	var $published    = null;
	var $ordering     = null;
	var $access       = null;
	var $thumbnail     = null;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct('#__jasc_categories', 'id', $db);
	}

	/**
	* Overloaded bind function
	*
	* @acces public
	* @param array $hash named array
	* @return null|string	null is operation was satisfactory, otherwise returns an error
	* @see JTable:bind
	* @since 1.5
	*/
	function bind($array, $ignore = '')
	{
		if (key_exists( 'params', $array ) && is_array( $array['params'] ))
		{
			$registry = new JRegistry();
			$registry->loadArray($array['params']);
			$array['params'] = $registry->toString();
		}

		return parent::bind($array, $ignore);
	}
	
}
