<?php
/*
# ------------------------------------------------------------------------
# JA Amazon S3 for joomla 16
# ------------------------------------------------------------------------
# Copyright (C) 2004-2009 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# This file may not be redistributed in whole or significant part.
# ------------------------------------------------------------------------
*/

// no direct access
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<fieldset>
<legend class="heading"><?php echo JText::_("HELP_AND_SUPPORT");?></legend>
<div>
		<p><strong> 

<hr />

JA Amazon S3 Package</strong> - компонент, приносящий возможности облачных технологий в Joomla!</p>

<p>Ваш сайт теперь сможет работать на вашем сервере, а все медиа-содержимое - графика, видео, документы, загружаться с Amazon CDN (сеть доставки контента). Инсталлируйте компонент, разместите свои файлы на Amazon Simple Storage Service (S3) и получите все преимущества облачных распределенных вычислений!</p>

<p><a target="_blank" href="http://www.youtube.com/user/JoomlArt#p/u/9/dtknH2ljq5Q">Здесь можно посмотреть демонстрационный ролик</a>, рассказывающий о преимуществах новой технологии (на английском языке).</p>

<p>Текущая версия компонента - 2.0.0 (обновление от 08.12.2010)</p>





<hr />

<h3>Возможности и особенности компонента JA Amazon S3 Package</h3>

<p>strong>Amazon S3 (Simple Storage Service)</strong> - Amazon S3 легко и просто обеспечивает возможность хранения данных любого вида и количества и быстрого доступа к ним из любой точки сети.</p>

<p><strong>CloudFront &amp; CDN Support</strong> - Amazon CloudFront доставляет вашу статическую или потоковую информацию, используя собственную глобальную сеть хранения данных (CDN), расположенную более чем в 16 локациях (США, Европа, Азия). Запросы автоматически направляются к ближайшей локации, обеспечивая наибольшую скорость доставки данных.</p>

<p><strong>Multiple Buckets Support</strong> - поддержка большого количества контейнеров с содержимым, позволяющая разделять разные типы контента.</p>

<p><strong>Cron Job Support</strong> - поддержка работы автоматических сценариев Cron, запускаемых в указанное время.</p>

<p><strong>Multiple Sync Profiles</strong> - синхронизация нескольких профилей позволяет настраивать работу максимально удобно.</p>

<p><strong>Include / Exclude File Types or Extensions</strong> - включение или исключение определенных типов контента или расширений, загружаемых на Amazon S3.</p>

<p><strong>Enable / Disable Sync for specific files or folders</strong> - включение или исключение определенных папок или файлов, загружаемых на Amazon S3.</p>

<p><strong>Multiple Amazon S3 Accounts</strong> - возможность использования нескольких учетных записей Amazon S3, например, для каждого администратора сайта.</p>

<p><strong>Upload new &amp; update modified files capability</strong> - компонент способен обнаруживать изменения в файлах и загружать только их, не перезаписывая остальное содержимое.</p>

<p><strong>File &amp; Folder ACL System</strong> - возможность организовать различные уровни доступа к файлам и папкам.</p>

<h4></h4>

<h4></h4>

<h3>

<hr />

</h3>

<h3>Как это можно использовать?</h3>

<p>Компонент JA Amazon S3 Package целесообразно применять в случаях:</p>

<ul>

<li>пропускная способность сервера ограничена</li>

<li>облачный хостинг для вас слишком дорогой</li>

<li>у вас старый, медленный сервер</li>

<li>вы хотите разгрузить сервер</li>

<li>вас сайт очень большой</li>

<li>хочется, чтобы все работало быстро</li>

</ul>

<hr />

<p> </p>

<div>
<p>&nbsp; </p>
<p><strong>Помощь по установке и настройке</strong></p>
<p>Если вы читаете данное руководство, значит компонент у Вас установлен</p>
<p>Первое, что нам необходимо - это завести учетную запись на сайте Amazon S3, для этого переходим по ссылке http://aws.amazon.com/, далее нажимаем кнопку Sign Up Now, учтите, для регистрации, Вам понадобится номер карты VISA</p>
<p>В поле My e-mail address is вводите свой почтовый адрес, далее выбираете  I am a new user, жмете кнопку Sign in using our secure server</p>
<p>Откроется вторая страница регистрации, вводите свои данные и пароль</p>
<p>На следующем этапе, заполните все поля со звездочками и согласитесь с лицензионным соглашением</p>
<p>Введите ключ антиспама.</p>
<p>Следующая страница выдаст вам тарифы и в самом низу страницы вы должны ввести номер карты VISA</p>
<p>После этого у вас спишут 1$ со счета и откроют доступ к сервису Amazon S3</p>
<p>После всех процедур, если Вас не перекинуло в Панель управления, идем на главную страницу и вверху жмем на Sign in to the AWS Management Console и входим в панель управления</p>
<p>Выбираем Amazon S3, тут мы создаем наши Хранилища.</p>
<p>Нажимаем кнопку Create Bucket и пишем название Хранилища, выбираем ближайший к вам регион, нажимаем Create.</p>
<p>Все Хранилище готово.</p>
<p>Далее нам нужно получить ключи доступа, для этого переходим по ссылке вверху страницы Account и на новой странице выбираем Security Credentials, на открывшейся странице находим Access Key ID - это ключ доступа, рядом Secret Access Key - секретный ключ, для отображения необходимо нажать на ссылку Show.</p>
<p>Все данные получены, теперь их можно ввести в соответствующие поля компонента и начинать проверять работу</p>
<p>&nbsp; </p>
</div>
<div>
<p>&nbsp; </p>
<p><strong>Видео инструкция (Англ.)</strong></p>
<object width="640" height="385"><param name="movie" value="http://www.youtube.com/v/dtknH2ljq5Q?fs=1&amp;hl=en_US"></param><param name="allowFullScreen" value="true"></param><param name="allowscriptaccess" value="always"></param><embed src="http://www.youtube.com/v/dtknH2ljq5Q?fs=1&amp;hl=en_US" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="640" height="385"></embed></object>
</div>
<div>
<p>&nbsp; </p>
<p><strong>Обновление</strong></p>
<p>Рекомендуется удалять старую и устанавливать новую версию при обновлении, посетите <a href="http://www.joomlart.com/forums/forumdisplay.php?242-JA-Amazon-S3-Component" title="JA Amazon S3 Forum" target="_blank">JA Amazon S3</a>.</p>
</div>
<div>
<p>&nbsp; </p>
<p><a href="http://www.joomlart.com/joomla/extensions/ja-amazon-s3" title="JA Amazon S3 Home" target="_blank">Главная</a> | <a href="http://update.joomlart.com" title="JA Updates" target="_blank">Версия &amp; Обновление</a> | <a href="http://www.joomlart.com/forums/downloads.php?do=cat&id=367" title="JA Amazon S3 Downloads" target="_blank">Загрузки</a> | <a href="http://pm.joomlart.com/browse/JAECCOMAMAZON" title="JA Amazon S3 JIRA" target="_blank">Список изменений</a> | <a href="http://www.joomlart.com/forums/forumdisplay.php?242-JA-Amazon-S3-Component" title="JA Amazon S3 Forums" target="_blank">Форум</a></p>
</div>
</fieldset>