<?php
/*
# ------------------------------------------------------------------------
# JA Amazon S3 installation Package (component & Plugin)
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

// no direct access
defined ( '_JEXEC' ) or die ( 'Restricted access' );

jimport ( 'joomla.application.component.view' );


class jaAmazonS3ViewHelp extends JView {
	
	function display($tpl = null) {
		jaComponentMenuHeader();
		
		switch ($this->getLayout ()) {
			case 'cronjob' :
				$this->displayCronjob ();
				break;
			case 'help' :
			default :
				$this->displayHelp ();
				break;
		}
		parent::display ( $tpl );

		jaComponentMenuFooter();
	}
	
	function displayHelp() {
		
	}
	
	function displayCronjob() {
		$params = JComponentHelper::getParams(JACOMPONENT);
		$uploadKey = $params->get('upload_secret_key', '');
		
		$cronUrl = JURI::root()."administrator/components/".JACOMPONENT."/cron.php";
		
		$this->assign('cronUrl', $cronUrl);
		$this->assign('params', $params);
	}
}	