<?php
/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

defined('_JEXEC') or die('Restricted access');

JToolBarHelper::title(   JText::_( 'JA SHOWCASE MANAGER' ), 'generic.png' );
JToolBarHelper::editList();

JHTML::_('behavior.tooltip');
?>

<form action="index.php" method="post" name="adminForm"  style="float:left; width:1000px">
	<div style="margin-bottom:3px"><b><?php echo JText::_( $this->type.'LANGUAGE MANAGER' ); ?></b></div>
<table class="adminlist">
	<thead>

		<tr>
			<th width="20">
				<?php echo JText::_( 'Num' ); ?>
		</th>
		<th width="30">&nbsp;

		</th>
		<th width="" class="title">
			<?php echo JText::_( 'Language' ); ?>
		</th>
		<th width="">
			<?php echo JText::_( 'Default' ); ?>
		</th>
		<th width="">
			<?php echo JText::_( 'Version' ); ?>
		</th>

	</tr>
</thead>
<tfoot>
	<tr>
		<td colspan="8">
			<?php echo $this->page->getListFooter(); ?>
		</td>
	</tr>
</tfoot>

<tbody>
<?php
	$k = 0;
	for ($i=0, $n=count( $this->rows ); $i < $n; $i++) {
		$row = &$this->rows[$i];
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td width="">
				<?php echo $this->page->getRowOffset( $i ); ?>
			</td>
			<td width="">
				<input type="radio" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->language; ?>" onclick="isChecked(this.checked);" />
			</td>
			<td width="">
				<a href="index.php?option=<?php echo $option;?>&task=edit&view=jamanagelang&lang=<?php echo $row->language;?>&client=<?php echo $this->client->id;?>"><?php echo $row->name;?></a>
			</td>
			<td width="" align="center">
				<?php
				if ($row->published == 1) {	 ?>
					<img src="templates/khepri/images/menu/icon-16-default.png" alt="<?php echo JText::_( 'Default' ); ?>" />
					<?php
				} else {
					?>
					&nbsp;
				<?php
				}
			?>
			</td>
			<td align="center">
				<?php echo $row->version; ?>
				</td>

			</tr>
		<?php
		}
		?>
	</tbody>

</table>
<input type="hidden" name="option" value="<?php echo $option;?>" />
<input type="hidden" name="client" value="<?php echo $this->client->id;?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="view" value="jamanagelang" />
<input type="hidden" name="boxchecked" value="0" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>

