<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the WebLinks component
 *
 * @static
 * @package		Joomla
 * @subpackage	Weblinks
 * @since 1.0
 */
if (!class_exists ('JAView')) {
	class JAView extends JView
	{
		function display($tpl = null)
		{
			// check menuId
			if (!isset($_GET['view']) || (isset($_GET['view']) && $_GET['view'] == 'jashowcase')) {
				if (isset($_SESSION['menuId'])) {
					unset($_SESSION['menuId']);
				}
			}
			
			$viewmenu = JRequest::getVar('viewmenu',1);
			if (!$viewmenu) {
				parent::display($tpl);
				return;
			}else {
				
				$path = str_replace (JPATH_BASE, '', dirname(__FILE__));
				$path = 'administrator'.str_replace ('\\', '/', $path).'/assets/';
				JHTML::stylesheet ($path.'style2.css');
				JHTML::script ($path.'menu.js');
				
				if (JRequest::getVar('menuId',0)) {
					$_SESSION['menuId'] = JRequest::getVar('menuId',0);
				}
				require_once (dirname(__FILE__).DS.'menu.class.php');
				//$model = $this->getModel('jaview');
				
				include (dirname(__FILE__).DS.'tmpl'.DS.'main.php');
			}
		}
		
	    	
	}
}