<?php
/*
# ------------------------------------------------------------------------
# JA Flowlist module for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

if (!defined ('_JEXEC')) {
	define( '_JEXEC', 1 );
	$path = dirname(dirname(dirname(dirname(__FILE__))));
	define('JPATH_BASE', $path );

	if (strpos(php_sapi_name(), 'cgi') !== false && !empty($_SERVER['REQUEST_URI'])) {
		//Apache CGI
		$_SERVER['PHP_SELF'] =  rtrim(dirname(dirname(dirname($_SERVER['PHP_SELF']))), '/\\');
	} else {
		//Others
		$_SERVER['SCRIPT_NAME'] =  rtrim(dirname(dirname(dirname($_SERVER['SCRIPT_NAME']))), '/\\');
	}
	
	define( 'DS', DIRECTORY_SEPARATOR );
	require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
	require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );
	require_once (dirname(dirname(__FILE__)).'/helper.php');
	
	$mainframe =& JFactory::getApplication('site');

	// set the language
	$mainframe->initialise();
	$mainframe->triggerEvent('onAfterInitialise');

}

$helper = modJaFlowListHelper::getInstance();
$params = $helper->getModuleParams( (int)JRequest::getInt('modid') );

if( is_object($params) ) {
	$type = $params->get( 'type', 'content' );
	if ( $type == "content" ){
		$catids = $params->get( 'content-catid', '' );
		if( $catids != "" ){
			if( !is_array($catids) ){
				$catids = array( $catids );
			}
			$catids = implode( ',', $catids );
		}
		$data = $helper->buildXML($catids, $params );
		
	}
	else {
		$data = $helper->buildXMLF( $params );
	}
	echo $data;
}
?>