<?php
// no direct access
defined('_VALID_MOS') or die('Restricted access');

class modJaFlowListHelper
{
	function buildXMLF($f_order, $folder)
	{
		global $mosConfig_absolute_path, $mosConfig_live_site;
		$path = $mosConfig_live_site.'/images/';
		$folder =  preg_replace('#[/\\\\]+#', DS, $folder);
		$basePath = mosPathName($mosConfig_absolute_path).'images'.DS.$folder;
		$files = mosReadDirectory( $basePath );
		switch ($f_order){
			case 'sort':
				sort($files);
				break;
			case 'natsort':
				natsort($files);
				break;
			case 'asort':
				asort($files);
				break;
		}
		$data = '<?xml version="1.0" encoding="iso-8859-1"?>
							<content>';
		foreach ($files as $file)
		{
			if (is_file($basePath.DS.$file) && substr($file, 0, 1) != '.' && strtolower($file) !== 'index.html')
			{
				$image = $path.str_replace(DS, '/', $folder).'/'.$file;
				//$ext = strtolower(JFile::getExt($file));
				$dot = strrpos($file, '.') + 1;
        $ext = substr($file, $dot);
				switch ($ext)
				{
					// Image
					case 'jpg':
					case 'png':
					case 'gif':
					case 'xcf':
					case 'odg':
					case 'bmp':
					case 'jpeg':
						$data .= '<image>
      						<path><![CDATA['.$image.']]></path>
      						<description><![CDATA[]]></description>
      						<data><![CDATA[]]></data>
    						</image>';
						break;
					// Non-image document
					default:
						break;
				}
			}
		}
		$data .= '</content>';
		return $data;
	}
	
  function buildXML($catorsec, $catids, $ordering)
  {
  	global $mainframe, $mosConfig_live_site, $mainframe, $database, $my;
  	
  	$bs 	= $mainframe->getBlogSectionCount();
		$bc 	= $mainframe->getBlogCategoryCount();
		$gbs 	= $mainframe->getGlobalBlogSectionCount();
		
    if (!$catids) {
    	$catids = modJaFlowListHelper::getAllCatIds($catorsec);
    }

    $rows = modJaFlowListHelper::getListItems($catorsec,$catids,$ordering);
    $data = '<?xml version="1.0" encoding="iso-8859-1"?>
							<content>';
    
		for($i=0;$i<count($rows);$i++) {
		  $image = modJaFlowListHelper::getImage($rows[$i]);
		  if ($image){
		    $Itemid = $mainframe->getItemid( $rows[$i]->id, 0, 0, $bs, $bc, $gbs );
				if ($Itemid == NULL) {
					$Itemid = '';
				} else {
					$Itemid = '&amp;Itemid='. $Itemid;
				}
				$link = sefRelToAbs( 'index.php?option=com_content&amp;task=view&amp;id='. $rows[$i]->id . $Itemid );
		    $link = str_replace('&amp;','&',$link);
		    $data .= '<image>
      						<path><![CDATA['.$image.']]></path>
      						<description><![CDATA['.$rows[$i]->title.']]></description>
      						<data><![CDATA['.$link.']]></data>
    						</image>';
		  }  
    }
    $data .= '</content>';
    return $data;
    
  }
	
	function getListItems($catorsec, $catid, $order)
	{
	  global $mainframe, $database, $my;

		$now 				= _CURRENT_SERVER_TIME;
		$noauth 			= !$mainframe->getCfg( 'shownoauth' );
		$nullDate 			= $database->getNullDate();

		// query to determine article count
		$query = 'SELECT a.*,cc.description as catdesc, cc.title as cattitle,s.description as secdesc, s.title as sectitle' 
			.' FROM #__content AS a' 
			.' INNER JOIN #__categories AS cc ON cc.id = a.catid'
			.' INNER JOIN #__sections AS s ON s.id = a.sectionid'
			.' WHERE a.state = 1 ' 
			. ( $noauth ? "\n AND a.access <= " . (int) $my->gid . " AND cc.access <= " . (int) $my->gid . " AND s.access <= " . (int) $my->gid : '' )
			."\n AND (a.publish_up = " . $database->Quote( $nullDate ) . " OR a.publish_up <= " . $database->Quote( $now ) . " ) "
			."\n AND (a.publish_down = " . $database->Quote( $nullDate ) . " OR a.publish_down >= " . $database->Quote( $now ) . " )"
			.($catorsec ? ' AND cc.id IN ('. $catid.')' : ' AND s.id IN ('.  $catid .')' )
			.' AND cc.published = 1' 
			.' AND s.published = 1' 
			.' ORDER BY a.'.$order;

		$database->setQuery($query);
		$rows = $database->loadObjectList();
    $rows = modJaFlowlistHelper::triggerMambot($rows);
		return $rows;
	}

	function triggerMambot($news) {
  		global $mainframe, $_MAMBOTS;
      $_MAMBOTS->loadBot( 'content', 'mosimage',1 );
  		$params 	   = new mosParameters('');
  		$params->set('image', 1);
  		$params->set('introtext', 1);
  
  		for($i=0;$i<count($news);$i++) {
   		  $news[$i]->text = $news[$i]->introtext;
 		    $_MAMBOTS->trigger('onPrepareContent', array (& $news[$i], & $params, 0), true);
   		  $news[$i]->introtext = $news[$i]->text;
      }
      
      return $news;
    }
	
	function getAllCatIds ($catorsec) {
		global $database;
		if($catorsec){
			$query = "SELECT id FROM #__categories WHERE published = 1;";
		}
		else{
			$query = "SELECT id FROM #__sections WHERE published = 1;";
		}
		$database->setQuery($query);
		$strcatids = implode(',', $database->loadResultArray());
		return $strcatids;
	}
	
	function getImage($row)
	{
	  global $database, $_MAMBOTS, $current_charset;
		$regex = "/\<img.+src\s*=\s*\"([^\"]*)\"[^\>]*\>/";
	  $text = $row->introtext.$row->fulltext;
	  preg_match ($regex, $text, $matches);          
	  $tmpAr = array(1);
	  $result = array();
	  while (count($tmpAr) && $matches[0]) {
	      $result = $matches;
	      preg_match ($regex, $text, $matches); 
	      if (@$matches[0] == '') break;
	      $tmpAr = explode($matches[1],$matches[0]);
	      $text = $tmpAr[0]; 
	  }
		$image = (count($result)) ? $result[1] : array();
	  return $image;
	}
	
	function getTotalItems($catorsec, $catids, $ordering)
	{
		if (!$catids) {
    	$catids = modJaFlowListHelper::getAllCatIds($catorsec);
    }
		
    $rows = modJaFlowListHelper::getListItems($catorsec,$catids,$ordering);
    $count = 0;
    for($i=0;$i<count($rows);$i++) {
		  $image = modJaFlowListHelper::getImage($rows[$i]);
		  if ($image){
		    $count++;
		  } 
    }
    $count = (int)$count/2;
    return $count;
	}
	
	public function genID($lenght = 5)
  {
    $chars = "abcdefghijkmnopqrstuvwxyz";
    srand((double)microtime() * 1000000);
    $str = '';

    for($i=0; $i<=$lenght; $i++) {
      $num = rand() % 23;
      $tmp = substr($chars, $num, 1);
      $str = $str . $tmp;
    }
    return $str;
  }
}
