<?php
/*
 * # ------------------------------------------------------------------------
# JA Newsflash module for Joomla 1.6.x
# ------------------------------------------------------------------------
# Copyright (C) 2004-2009 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - Copyrighted Commercial Software
# Author: J.O.O.M Solutions Co., Ltd
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# This file may not be redistributed in whole or significant part.
# ------------------------------------------------------------------------
 */
/**
 * Using template
 * [div style="overflow:hidden; height:323px;" ]
 * [div class="nfimages"]##IMAGE##[/div]
 * [div class="nftitle"]##TITLE##[/div]
 * [div class="nfcontent"]##CONTENT##[/div]
 * [/div]
 * 
 * 
 */
  // no direct access
defined('_JEXEC') or die('Restricted access');
require_once (dirname(__FILE__).DS.'helper.php');
require_once (dirname(__FILE__).DS.'jaimage.php');
JPluginHelper::importPlugin('content', null, false);


JHTML::script('modules/'.$module->module.'/assets/ja.newsflash.js');

$helper = new modJAnewsFlashHelper();
//image settings
$helper->iwidth 		= 	intval (trim( $params->get( 'iwidth', 152 ) ));
$helper->iheight 		= 	intval (trim( $params->get( 'iheight', 200 ) ));
// asign variables
$moduleID     = 'janflh-modid' . $module->id;
$xheight = $params->get('xheight');
$delaytime 		= intval( $params->get( 'delaytime', 10 ) );
$order =  $params->get( 'sort_order_field' ,'created' );
$cache = (bool) $params->get('enable_cache',1);
// get list of articles.
$source = $helper->getList( $params );
if(empty($source))
{
	$source = array();
} 
$total = count($source); 
// sort articles without sql query
$list = $cache &&  $total > 0 && trim($order) == 'rand' ? array_flip(array_rand($source, $total)) : array_keys($source);
// render for layout.
require( JModuleHelper::getLayoutPath( $module->module ) ) ;

unset($list);
unset($source);
if($total > 0):
?>
<script type="text/javascript">	
	$(window).addEvent( 'domready', function(){
		var options = new Class({
			initialize: function(){
			 
			},
			wrapper:$("ja-newsflash-<?php echo $moduleID; ?>"),
			mode:'<?php echo $params->get('animation', 'scroll_left'); ?>',
			interval:<?php echo (int)$params->get('animationtime', 1000); ?>,
			delayTime:<?php echo (int)$delaytime * 1000; ?>,
			fxOptions : { duration: <?php echo $params->get('animation_speed', 1000);?>,
									  transition: <?php echo $params->get('animation_transition', 'Fx.Transitions.linear'); ?> ,
									  wait: false }	
		});
		var jaNewsFlashModid<?php echo $module->id; ?> = new JANewsFlash( options );
	} );
</script>
<?php endif; ?>