<?php
/*
# ------------------------------------------------------------------------
# JA Translate for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/
$id = $this->countId;
$lang_position = $this->lang_position;
?>

<div class="ja-translate-wrapper">
    <?php if($lang_position == 'before'): ?>
    {block_language}
    <?php endif; ?>
    
    <div id="ja-translate-content-<?php echo $id; ?>" class="ja-translate-content">
    {content}
    </div>
    
    <?php if($lang_position == 'after'): ?>
    {block_language}
    <?php endif; ?>
</div>

<?php 
if(!defined('JA_PLG_GOOGLE_TRANSLATE_POPUP')): 
define('JA_PLG_GOOGLE_TRANSLATE_POPUP', 1); 

$params = new JParameter ( $this->plugin->params );

$api_key = $params->get ( 'api_key', '' );
$page_language = $params->get ( 'auto_detect-0-page_language', 'en' );
$auto_detect = $params->get ( 'auto_detect', 1 );

$auto_detect = intval($auto_detect);
?>

<script type="text/javascript" >
/*<![CDATA[*/
	oJaTranslate = new JAGoogleTranslate('<?php echo $page_language; ?>', <?php echo $auto_detect; ?>);
	window.addEvent('domready', function(){
		var jaTranslatePopup = new Element('div', {
			'styles': {
				'display': 'none'
			},
			'events': {
				'mouseleave': function(){
					var curId = this.getProperty('rel');
					this.setStyle('display', 'none');
					this.setProperty('rel', '');
					oJaTranslate.savePopupContent(curId);
				}
			},
			'id': 'ja-translate-popup'
		});
		//$('ja-wrapper').adopt(jaTranslatePopup);
		jaTranslatePopup.inject(document.body, 'bottom');
	});
/*]]>*/
</script>
<?php endif; ?>