<?php
/*
# ------------------------------------------------------------------------
# JA Translate for joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/
$aLangSelect = $this->aLangSelect;
$aLangSupport = $this->aLangSupport;
$lang_width = $this->lang_width;
$lang_columns = $this->lang_columns;
$link_style = $this->link_style;
$page_language = $this->page_language;
$auto_detect = $this->auto_detect;
?>
	<div class="ja-translate" id="ja-translate-{block_id}">
        <a href="#" onclick="return oJaTranslate.toggleLanguages('{block_id}');" class="translate-link" title="<?php echo JText::_('TRANSLATE'); ?>">
        <?php if($link_style == 'icon' || $link_style == 'both'): ?>
        <img src="<?php echo $this->plgUrl.'images/translate.png'; ?>" alt="<?php echo JText::_('TRANSLATE'); ?>" />
        <?php endif; ?>
        <?php if($link_style == 'text' || $link_style == 'both'): ?>
		<?php echo JText::_('TRANSLATE'); ?> 
        <?php endif; ?>
        <img id="ja-translate-loading-{block_id}" src="<?php echo $this->plgUrl.'images/loading.gif'; ?>" alt="<?php echo JText::_('TRANSLATING'); ?>" style="display:none;" />
        </a> 
        <br />
        <div id="ja-translate-languages-{block_id}" class="ja-tranlate-languages" style="display:none;">
        	<div class="languages" style="width:<?php echo $lang_width; ?>px;">
            <?php 
            for($i=0; $i<count($aLangSelect); $i++): 
				$code = $aLangSelect[$i];
				$language = strtolower(JText::_($aLangSupport[$code]));
				
				$css = '';
				if(!$auto_detect) {
					if($page_language == $code)
						$css = ' original active';
				}
            ?>
            <a id="ja-lang-{block_id}-<?php echo $code; ?>" class="total-col-<?php echo $lang_columns; ?><?php echo $css; ?>" href="#" onclick="return oJaTranslate.translate('{block_id}', '<?php echo $code; ?>');" title="<?php echo $language; ?>">
                <img src="<?php echo $this->plgUrl.'images/flags/'.$code.'.png'; ?>" class="ja-translate-flags" alt="[<?php echo $code; ?>]" title="<?php echo $language; ?>" />
                <?php echo $language; ?>
            </a>
            <?php endfor; ?>
            </div>
        </div>
        
        <div id="ja-translate-backup-{block_id}" class="ja-translate-backup"></div>
        <span id="ja-backup-title-{block_id}" class="ja-translate-title">{title}</span>
    
    </div>