jQuery.noConflict();
var jacstimeout = 0;
var jascScrollTimeOut = 0;

function jascParseData(sjson){	
	if(MooTools["version"] < 1.2){
		var responses = Json.evaluate(sjson);
	}else{
		var responses = Json.decode(sjson);
	}
	
	if(jasc_process_ajax == 2) return;
	
	var data = responses.data;
	
	data.each(function(item) {
		var divId 	= item.id;
		var type 	= item.type;
		var value 	= item.content;		
		if ($(divId) != undefined) {			
			if(type == "addinnerHTML"){
				//$(divId).setHTML($(divId).innerHTML + value);
				new Element ('div').setHTML (value).getChildren().inject ($(divId));
				//setTimeout("jasc_process_ajax = 0", 2000);				
			}else if(type == "value"){
				$(divId).value = value;				
			}else if(type == "changedisplay"){
				$(divId).style.display = value;				
			}else if(type == "addValue"){
				$(divId).value = parseInt($(divId).value,10)+1;
				if(parseInt($("jaShowcaseNumPage").value,10) >= parseInt($("jaShowcasetotalPage").value,10)){
					jasc_process_ajax = 1;
					if($("jasc-get-more")){
						$("jasc-get-more").addClass("jasc-disable");
						jasc_process_ajax = 1;
					}
				}
			}else if(type == "addClass"){
				$(divId).addClass(value);	
			}else if(type == "removeClass"){
				$(divId).removeClass(value);	
			}else{				
				$(divId).innerHTML = value;				
			}			
		}else{
			if(divId == "callfunction"){				
				loadDownload(value);
			}
		}
	});
	jasc_process_ajax = 0;
	//queueListenerScroll();	
}

function jascBuiltFilterUrl(url){
	if($("jasctime").value != ""){
		if(url.indexOf("&jasctime") == -1)
		url += "&jasctime="+$("jasctime").value;		
	}			
	if($("catid").value != ""){		
		if(url.indexOf("&catid") == -1)
		url += "&catid="+$("catid").value;		
	}			
	
	return url;
}
function queueListenerScroll(){	
	//jascScrollTimeOut = setTimeout("jaShowcaseProcessScroll()", 2000);
	window.addEvent ('scroll', function (e) {
		jaShowcaseProcessScroll("scroll");
		//new Event(e).stop();
	});
}

function getDocHeight() {
    var D = document;
    return Math.max(
        Math.max(D.body.scrollHeight, D.documentElement.scrollHeight),
        Math.max(D.body.offsetHeight, D.documentElement.offsetHeight),
        Math.max(D.body.clientHeight, D.documentElement.clientHeight)
    );
}

function isScrollInBottom(){
	var pageHeight = getDocHeight();	
	var scrollHeight = window.pageYOffset || document.body.scrollTop || document.documentElement.scrollTop;
    scrollHeight =  scrollHeight ? scrollHeight : 0;	
	var innerHeight = self.innerHeight || document.body.clientWidth;
    innerHeight =  innerHeight ? innerHeight : 0;    
	return (pageHeight - (scrollHeight + innerHeight)) < 400;	
}

function jascDisableSlideDown(id){
	$(id).slider.slideOut();	
}

function jascPreloadImage(){
	var myImages = new Asset.images(['/images/myImage.png', '/images/myImage2.gif'], {
	    onComplete: function(){
	        alert('All images loaded!');
	    }
	});

}

//jascAddFilterElement()
function jascAddFilterElement(sliderID, actionElement, elementid){
	if(!$type($(sliderID)) || !$type($(actionElement)) || !$type($(elementid))) return;
	
	//window.addEvent('load', function () {
		 $(sliderID).status == 'close';					 
		 $(sliderID).slider = new Fx.Slide(elementid, {duration: 400, onComplete: function(){
			 if (jacstimeout){
				 $(actionElement).setStyle ('display','none');
				 jacstimeout = 0;	
			 }
		 }});
		 $(sliderID).slider.hide();					 					 					 				
	 //});
	 
	$(sliderID).addEvent ('mouseenter', function () {				
		$("jasc-search-cat").setStyle ('display','none');		
		
		clearTimeout(jacstimeout);
		jacstimeout = 0;	
		this.slider.stop();
		$(actionElement).style.display = "block";
		this.slider.slideIn();					
	});
	
	$(sliderID).addEvent ('mouseleave', function () {					
		jacstimeout = setTimeout('jascDisableSlideDown("'+sliderID +'")', 500);	
	});
}

function jascChangeTheme(theme){		
	$("jashowcase_theme").value = theme;
	$("jascForm").submit();
}

function jascclosemessage(){	
	$("jashowcase-result").style.display = "none";
}

function jascdisplaymessage(mes){
	$("jashowcase-result").innerHTML = mes;	
	$("jashowcase-result").style.display = "block";	
	setTimeout('jascclosemessage()', 2500);	
}

function updateFavorites(action, id){
	if(action == "remove"){
		myCookie = Cookie.get("jascFavoritesTemplate");		
		$("jasc-action-favorites-"+id).getElements(".jasc-favorites-active")[0].style.display = "none";
		$("jasc-action-favorites-"+id).getElements(".jasc-favorites-unactive")[0].style.display = "block";
		if($("jasc-isshow-favorite").value == 1)
			$("ja_showcase_item_"+id).addClass("favorites-unactive");
	}else{
		$("jasc-action-favorites-"+id).getElements(".jasc-favorites-active")[0].style.display = "block";
		$("jasc-action-favorites-"+id).getElements(".jasc-favorites-unactive")[0].style.display = "none";
		if($("jasc-isshow-favorite").value == 1)
			$("ja_showcase_item_"+id).removeClass("favorites-unactive");		
	}
}

function saveToFavorites(action ,id){
	myCookie = Cookie.get("jascFavoritesTemplate");		
	isOK = 0;
	mes  = '';
	//remove cookie		
	if(action == "remove"){
		if(!myCookie) return;
		mes = jasc_text_remove_favorites;
		myArrCookie = myCookie.split(",");
		for(i =0; i< myArrCookie.length; i++){
			if(myArrCookie[i] == id){
				myArrCookie.splice(i,1);				
				isOK = 1;
				break;
			}
		}
		myCookie = myArrCookie.join(',');
		if(myCookie){			
			Cookie.set("jascFavoritesTemplate",myCookie, {duration: 365, path:"/"});
		}else{			
			Cookie.set("jascFavoritesTemplate","", {duration: 365, path:"/"});
		    Cookie.remove("jascFavoritesTemplate");
		}
	}else{
		mes = jasc_text_add_favorites;
	    if(!myCookie){ 
			myCookie = id;
			isOK = 1;
			Cookie.set("jascFavoritesTemplate",myCookie, {duration: 365, path:"/"});
		}else{
            myArrCookie = myCookie.split(",");
			for(i =0; i< myArrCookie.length; i++){
				if(myArrCookie[i] == id) break;
			}
			if(i == myArrCookie.length){				
				myArrCookie[myArrCookie+1] = id;
				myCookie += "," + id;
				isOK = 1;
				Cookie.set("jascFavoritesTemplate",myCookie, {duration: 365, path:"/"});
			}				
		}				
	}
	if(isOK){
		if(!myCookie){
			$("jacs-my-favorite").getElements("span")[0].innerHTML = "0";
		}else{			
			myCookie = String(myCookie);
		    if(myCookie.indexOf(",") >0){
				myArrCookie = myCookie.split(",");
				$("jacs-my-favorite").getElements("span")[0].innerHTML = myArrCookie.length;
			}else{				
				$("jacs-my-favorite").getElements("span")[0].innerHTML = "1";
			}					    
		}		
		updateFavorites(action, id);
		
		jascdisplaymessage(mes);	
	}
}