<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

jimport('joomla.application.component.controller');

/**
 * JaShowcase Component Controller
 *
 * @package		JaShowcase
 */
class JashowcaseController extends JController
{
	/**
	 * Method to display the view
	 *
	 * @access	public
	 */
	function display()
	{ 
		$view = JRequest::getCmd('view');
		
		if(empty($view)) {
			JRequest::setVar( 'view', 'jashowcase' );
		};
		// check component off line;
		
		if(!JascHelper::isSpecialUser()){
			$user	=& JFactory::getUser();
			$params  = JashowcaseHelper::_getSetting();
			if( $params->get('component_off', '0')){
				$acesss  = $params->get('component_accessleve', 0);
				$app = JFactory::getApplication();												
				$levAccess = $user->getAuthorisedViewLevels();	
				if(!in_array($acesss, $levAccess)){					
					JRequest::setVar('view', 'offline');
					JRequest::setVar('layout', 'default');			
				}
			}
										
		} 		
		//$aid = $user->get('aid', 0) ;
		
		
		parent::display();
	}
	
}
?>