<?php 
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

class JFormFieldJasccategory extends JFormField
{
	/*
	 * Category name
	 *
	 * @access	protected
	 * @var		string
	 */
	protected $type = 'Jascategory';	
	/**
	 * fetch Element 
	 */
	protected function getInput(){
		$categories=array();
		$categories[0]->id = '0';
		$categories[0]->name = JText::_("SELECT_ALL");
		
		$categoriesq = $this->getCategorieTree();
		$categories= array_merge($categories,$categoriesq);
		$value 			= $this->value?$this->value:(string)$this->element['default'];
		$out = JHTML::_('select.genericlist',  $categories, $this->name."[]", 'class="inputbox" style="width:95%;" multiple="multiple" size="10"', 'id', 'name', $value );

		return $out; 
	}	
	
	function getCategorieTree($published_only = false){
		$mainframe  = JFactory::getApplication();
	
		$cid  = JRequest::getVar( 'cid', array(0), '', 'array' );
	
		$db		=& JFactory::getDBO();
		$query = "SELECT * FROM #__jasc_categories";
		$where = array();
		if($published_only){
		  $where[] = " published = 1 ";
		}
	
		if (!empty($cid[0])) {
		  $where[] = " id <> {$cid[0]}";
		}
	
		$where = count($where) ? ' WHERE ' . implode(' AND ', $where) : '';
	
		$query .= "$where ORDER BY parent_id, title";
		$db->setQuery($query);
		$rows = $db->loadObjectList();
	
		echo $db->getErrorMsg();
	
		$level = 0;
		$tree = array();
		//sort by parent
		for($i=0,$n=count($rows);$i<$n;$i++){
		  $row = $rows[$i];
	
		  $tree[$row->parent_id][] = $row;
		}
	
		$final = array();
		$level = 0;
		//loop through all items
		if(isset($tree[0]) && count($tree[0]) > 0){
		  for($i=0,$n=count($tree[0]);$i<$n;$i++){
			$row = $tree[0][$i];
			$this->buildCategoriesTree($tree, $final, $row, $level, 0);
		  }
		}
		return $final;
	  }
	
	  function buildCategoriesTree($rows, &$tree, $row, $level, $type=1){
		$name = '';
	
		$spacer = '<sup>.</sup>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
		$pre = '<sup>|_</sup>&nbsp;&nbsp;';
	
		if (!$type) {
		  $spacer = '&nbsp;&nbsp;';
		  $pre = '-&nbsp;';
		}
	
		for($i=1;$i<$level;$i++){
		  $name .= $spacer;
		}
	
		if($level != 0){
		  $name = $spacer . $name;
		} else {
		  $pre = '';
		}
	
		$row->name = $name . $pre . $row->title;
	
		$tree[] = $row;
	
		if(@sizeof($rows[$row->id]) && $row->id != 0){
		  for($i=0,$n=count($rows[$row->id]);$i<$n;$i++){
			$child = $rows[$row->id][$i];
			$this->buildCategoriesTree($rows, $tree, $child, $level + 1);
		  }
		}
	
	  }
}

?>
