<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

jimport('joomla.application.component.model');

/**
 * Hello Hello Model
 *
 * @package    Joomla.Tutorials
 * @subpackage Components
 */
 
class jashowcaseModelJashowcase extends JModel
{
	/**
	 * category id
	 *
	 * @var int
	 */
	var $_cid = null;

	var $_db = null;
	
	var $_pagination = NULL;
	
	var $_total = 0;

	/**
	 * Constructor that retrieves the ID from the request
	 *
	 * @access	public
	 * @return	void
	 */
	function __construct() {
		parent::__construct();

		$array = JRequest::getVar('cid',  0, '', 'array');

		$this->_cid = $array[0];
		$this->_db =& JFactory::getDBO();
	}

	function getItems($xQuery = '') {
		$query = "SELECT s.* FROM #__jashowcase as s INNER JOIN #__jasc_categories c ON s.catid=c.id and c.published=1"
              ." WHERE s.published=1 ".$xQuery;
		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}

	function getTotalItem($xQuery = '') {
	  $query = "SELECT count(*) FROM #__jashowcase as s INNER JOIN #__jasc_categories c ON s.catid=c.id and c.published=1"
	           ." WHERE s.published=1 ".$xQuery;
			
	  $this->_db->setQuery($query);
	  $this->_total = $this->_db->loadResult();
	  
      return $this->_total;
	}
	
	/*
	 * 
	 */
	function getRating($articleID){
		$query 	= "SELECT * FROM #__k2_rating WHERE itemID = '{$articleID}'  ";
		$this->_db->setQuery($query);
		return $this->_db->loadRow();		
	}
	/*
	 * 
	 */
	function getContentRating($articleID){
		$query 	= "SELECT * FROM #__content_rating WHERE content_id = '{$articleID}'  ";
		$this->_db->setQuery($query);
		return $this->_db->loadRow();		
	}
	
	function getAllCat(){
		$query = "SELECT * FROM #__jasc_categories WHERE published=1 ";
		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}
	function getCategories( $parentId=0 ) {
		$query = "SELECT * FROM #__jasc_categories WHERE published=1 ";
	//	if( $parentId != '' ){
			$query .= " AND parent_id=".(int)$parentId;
		// }
		$query .= " ORDER BY ordering ASC ";

		$this->_db->setQuery($query);
		return $this->_db->loadObjectList();
	}
	/**
	 * buidd data tree list
	 */
	function buidTree($data, $root) {
	
		$out = array();
		$sizeOf = sizeof($data);

		for ($ii = 0; $ii < $sizeOf; $ii++) {
			if (($data[$ii]->parent_id == $root) 
					   || (($root === null) && ($data[$ii]->parent_id == '0'))) {
				$tmp = $data[$ii];
				
				if (isset($data[$ii]->id)) { 
					$tmp->children = modMenuHelper::buidTree($data, $data[$ii]->id);
				} else {
					$tmp->children = null;
				}

				$out[] = $tmp;
			}
		}

		return $out;
	}
	
	
	function getFindCategoryIDs( $id = 0 ){
		
		require( 'jacategories.php' );
		$category = new jashowcaseModelJACategories();

		$tree = $category->getCategoriesTree( 0 , false );

		$output = array();
	    $output = JascHelper::findChidrentIDs( $tree,$output, $id );
		return $output;
	}
	
	/**
	 * Get page navigator object
	 * @return 
	 */
	function &getPagination($limitstart = 0, $limit = 20, $divId = '') {				
		if ($this->_pagination == null) {
			jimport ( 'joomla.html.pagination' );			
			require_once (JPATH_COMPONENT_SITE . '/helpers/japagination.php');						
			$this->_pagination = new JASCPagination ( $this->_total, $limitstart, $limit, $divId );
		}
		return $this->_pagination;
	}
}
?>
