<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined ( '_JEXEC' ) or die ( 'Restricted access' );

$javersion = new JVersion();
if($javersion->RELEASE=='1.7'){
	JHtml::_('behavior.framework', true);
}
else{
	JHTML::_('behavior.mootools');
}
$mainframe = JFactory::getApplication();
$currentID = $this->paramsSetting->get ( 'catid', 0 );
$currentID = $currentID[0];
$currentID = JRequest::getVar( 'catid', $currentID );

JHTML::script('components/com_jashowcase/assets/js/jquery.js');
JHTML::stylesheet('components/com_jashowcase/assets/css/ja-showcase.css');
JHTML::script('components/com_jashowcase/assets/js/jashowcaseajax.js');

//use slider to slide show items
if($this->paramsSetting->get("slideshow_type", "slider") == "popup"){			
	JHTML::script('components/com_jashowcase/assets/js/slimbox.js');	
	JHTML::stylesheet('components/com_jashowcase/assets/css/slimbox.css');		
}
$themes = $this->paramsSetting->get("theme", "default");
if(file_exists(JPATH_BASE.DS.'templates'.DS.$mainframe->getTemplate().DS.'html'.DS."com_jashowcase".DS."themes".DS. $themes .DS."css".DS."jasc_style.css")){
	JHTML::stylesheet('templates/'.$mainframe->getTemplate().'/html/com_jashowcase/themes/'.$themes.'/css/jasc_style.css');		
}else{
	if(file_exists('components/com_jashowcase/themes/'.$themes.'/css/jasc_style.css')){					
		JHTML::stylesheet('components/com_jashowcase/themes/'.$themes.'/css/jasc_style.css');
	}else{
		if(file_exists('components/com_jashowcase/themes/default/css/jasc_style.css')){
			JHTML::stylesheet('components/com_jashowcase/themes/default/css/jasc_style.css');	
		}	
	}	
}
//add script for slider
$callFunSlideShow = "";
if($this->paramsSetting->get("slideshow_type", "slider") == "slider"){
	JHTML::script('components/com_jashowcase/assets/js/slider.js');	
	if($this->paramsSetting->get("general_paging", "normal") == "normal"){
		$callFunSlideShow = "initActionSlideshow('1');";	
	}else{
		$callFunSlideShow = "initActionSlideshow();";
	}
}else if($this->paramsSetting->get("slideshow_type", "slider") == "popup"){
	$callFunSlideShow = 'if (!/android|iphone|ipod|series60|symbian|windows ce|blackberry/i.test(navigator.userAgent)) {
	jQuery(function($) {
		$("a[rel^=\'lightbox\']").slimbox({/* Put custom options here */}, null, function(el) {
			return (this == el) || ((this.rel.length > 8) && (this.rel == el.rel));
		});
	});
}';
}?>

<script type="text/javascript">
//<![CDATA[
var jasc_activePopIn  	 	= 0;
var jasc_paging_action 		= '<?php echo $this->paramsSetting->get("general_paging", "normal");?>';
var jasc_activeSearchTag 	= 0;
var jasc_process_ajax		= 0;
var jasc_text_add_favorites = "<?php echo JText::_("ADD_TO_FAVOR");?>";
var jasc_text_remove_favorites = "<?php echo JText::_("REMOVE_FROM_FAV"); ?>";
var jasc_text_removed_favorites = "<?php echo JText::_("REMOVED_FROM_FAV"); ?>";
<?php if($this->paramsSetting->get("slideshow_type", "slider") == "slider"){?>
function initActionSlideshow(item){
	if(item)
		divid = "jashowcase-items-" + item;
	else
		divid = "jashowcase-items";
	if(!$(divid)) return;
	$(divid).getElements('.ja-showcase-block').each( function( wrapper, index ){
		if (wrapper._loaded) return;
		wrapper._loaded = true; 

		var options = {
				buttons:{next:wrapper.getElement('.jasc-btn-next'), previous:wrapper.getElement('.jasc-btn-previous')},
				wrapper:wrapper,
				mode:'scroll_left',
				interval:800,
				delayTime:10000,
				fxOptions : { duration: 600,transition:Fx.Transitions.Sine.easeOut,wait: false }	
			}
		new JANewsFlash( options );
	 } );	
}
<?php }?>

function jascProcessAjax(action , key, msg){	
	url = '<?php echo JRoute::_("index.php?layout=nextpage&ajax=component&jascaction=filter&Itemid=".$this->Itemid);?>';
	currentLayout = 'jasclist';
	if(action == "cat"){				
		url += '&subaction=changecat';
		$("catid").value = key;		
	}else if(action == "time"){
		url += '&subaction=changetime';
		$("jasctime").value = key;		
	}else if(action == "showfavorites"){				
		url += '&subaction=showfavorites';
		if(parseInt($("jacs-my-favorite").getElements("span")[0].innerHTML,10) <=0) return false;		
		url += '&cache=no';
		url += '&ran=' + Math.random();
		currentLayout = 'jascfavorite';
	}else if(action == "backtolisting"){
		url += '&subaction=backtolisting';
		url += '&ran=' + Math.random();
		//url += '&ran=' + Math.random();
	}
	$('jashowcase_loading').style.display = "block";
	
			
	url += "&"+$("jascForm").toQueryString();	
	
	var req = new Request({
		method: 'get',
		url: url,		
		onComplete: function(text) {
		jascParseData(text);						
		$('jashowcase_loading').style.display = "none";		
		<?php echo $callFunSlideShow;?>			 								
		if (msg != undefined) {
			jascdisplaymessage(mes);
		}
	}}).send();	
}
<?php if($this->paramsSetting->get("general_paging", "normal") == "normal"):?>
function jasc_ajaxPagination(urlLimit, div){
	if(jasc_process_ajax == 1) return;
	c_url = urlLimit.split('pagenumber=');
	
	currentPage = $('jaShowcaseNumPage').value;		
	
	nextPage =  c_url[1];
	//if loaded		
	if($('jashowcase-items-' + nextPage).hasClass("loaded")){
		$('jashowcase-items-' + currentPage).setStyle("display", "none");
		$('jasc-pagination-' + currentPage).setStyle("display", "none");
		
		$('jashowcase-items-' + nextPage).setStyle("display", "block");
		$('jasc-pagination-' + nextPage).setStyle("display", "block");
		
		$('jaShowcaseNumPage').value = nextPage;			
		return;
	}	
	
						
	jasc_process_ajax = 1;	
			
	$('jashowcase_loading').style.display = "block";
	
	url = '<?php echo JRoute::_("index.php?layout=nextpage&ajax=component&jascaction=paging&Itemid=".$this->Itemid);?>'; 	
	if($('jasc-favorite-back') != undefined){						
		if($("jasc-isshow-favorite").value == 1){
			url +="&subaction=showfavorites";	
		}			
	}
	url += urlLimit;
	url += "&"+$("jascForm").toQueryString();		
	
	var req = new Request({
		method: 'get',
		url: url,
		onComplete: function(text){							
		$('jashowcase_loading').style.display = "none";
		
		$('jashowcase-items-' + currentPage).setStyle("display", "none");
		$('jasc-pagination-' + currentPage).setStyle("display", "none");
		
		$('jashowcase-items-' + nextPage).setStyle("display", "block");
		$('jasc-pagination-' + nextPage).setStyle("display", "block");
		
		$('jaShowcaseNumPage').value = nextPage;					
		jascParseData(text);		
		<?php if($callFunSlideShow && ($this->paramsSetting->get("slideshow_type", "slider") == "slider")):?>
			initActionSlideshow(nextPage);
		<?php else : ?>
			<?php echo $callFunSlideShow;?>
		<?php endif; ?>																																																	 									
	}}).send();
}
<?php elseif($this->paramsSetting->get("general_paging", "normal") == "button"):?>
function jaShowcaseMoreInfo(jascaction){			
		if(jasc_process_ajax == 1) return;
		
		$("jasc-get-more").addClass("jasc-disable");
		
		if(parseInt($("jaShowcaseNumPage").value,10) >= (parseInt($("jaShowcasetotalPage").value, 10))) return;		
		jasc_process_ajax = 1;
		clearTimeout(jascScrollTimeOut);
		jascScrollTimeOut = 0;
				
		$('jashowcase_loading').style.display = "block";		
		
		url = '<?php echo JRoute::_("index.php?layout=nextpage&ajax=component&Itemid=".$this->Itemid);?>'; 
		url += '&numberPage='+parseInt($("jaShowcaseNumPage").value,10);		
		if($('jasc-favorite-back') != undefined){						
			if($("jasc-isshow-favorite").value == 1){
				url +="&subaction=showfavorites";	
			}			
		}
		url += "&"+$("jascForm").toQueryString();
		url += "&jascaction="+jascaction;				
		
		var req = new Request({
			method: 'get',
			url: url,
			onComplete: function(text){
				$('jashowcase_loading').style.display = "none";
				$('jasc-get-more').style.display = "";
				
				$("jasc-get-more").removeClass("jasc-disable");
				
				jascParseData(text);				
				<?php echo $callFunSlideShow;?>																																																	 									
		}}).send();			
}
<?php else: ?>
function jaShowcaseProcessScroll(jascaction){
	if(isScrollInBottom()){		
		if(jasc_process_ajax != 0) return;		
		if(parseInt($("jaShowcaseNumPage").value,10) >= (parseInt($("jaShowcasetotalPage").value, 10))) return;		
		jasc_process_ajax = 1;
		clearTimeout(jascScrollTimeOut);
		jascScrollTimeOut = 0;
				
		$('jashowcase_loading').style.display = "block";			
		
		url = '<?php echo JRoute::_("index.php?layout=nextpage&ajax=component&Itemid=".$this->Itemid);?>'; 
		url += '&numberPage='+parseInt($("jaShowcaseNumPage").value,10);		
		if($('jasc-favorite-back') != undefined){						
			if($("jasc-isshow-favorite").value == 1){
				url +="&subaction=showfavorites";	
			}			
		}
		url += "&"+$("jascForm").toQueryString();
		url += "&jascaction="+jascaction;
				
				
		var req = new Request({
			method: 'get',
			url: url,
			onComplete: function(text){
				$('jashowcase_loading').style.display = "none";			
				jascParseData(text);
				<?php echo $callFunSlideShow;?>																																																	 									
		}}).send();
		
	}
}
<?php endif;?>
function jasc_beginload(){
	jasc_process_ajax = 0;
	$('jashowcase_action').style.display = "none";
}

function loadDownload(url){		
	var req = new Request({
	method: 'get',
	url: url,
		onComplete: function(text){												
		jascParseData(text);																																																			 									
	}}).send();	
}

$(window).addEvent( 'domready', function(){
	$("jaShowcasetotalPage").value = "<?php echo ceil($this->totalPage);?>";
<?php if($this->paramsSetting->get("general_paging-normal-is_allow_display_by_page_link", 0)):?>
	var url = window.location.hash;
	if(url.indexOf("page") != -1){
		c_url = url.split('page');
		pageNumber = parseInt(c_url[1], 10);		
	}else{
		pageNumber = 1;
	}	
	if(pageNumber>$("jaShowcasetotalPage").value){
		pageNumber = 1;
	}
	urlLimit = "&pagenumber="+pageNumber;
	$("jaShowcaseNumPage").value = pageNumber;	  
	$('jashowcase_loading').style.display = "block";

	url = '<?php echo JRoute::_("index.php?layout=nextpage&ajax=component&jascaction=paging&Itemid=".$this->Itemid);?>'; 	
	if($('jasc-favorite-back') != undefined){						
		if($("jasc-isshow-favorite").value == 1){
			url +="&subaction=showfavorites";	
		}			
	}
	url += urlLimit;
	url += "&"+$("jascForm").toQueryString();		
	
	var req = new Request({
		method: 'get',
		url: url,
		onComplete: function(text){
		$('jashowcase_loading').style.display = "none";
		if($('jashowcase-items-' + pageNumber)){	
			$('jashowcase-items-' + pageNumber).setStyle("display", "block");
			$('jasc-pagination-' + pageNumber).setStyle("display", "block");
		}
										
		jascParseData(text);	
		<?php if($callFunSlideShow && ($this->paramsSetting->get("slideshow_type", "slider") == "slider")):?>
			initActionSlideshow(pageNumber);
		<?php else:?>
			<?php echo $callFunSlideShow;?>
		<?php endif; ?>																																																 									
	}}).send();
	
<?php else:?>
	$("jaShowcaseNumPage").value = 1;	
<?php endif;?>	

	if($("catid") != undefined)
		$("catid").value = "<?php echo $currentID;?>";
	
	if($("jasc-isshow-favorite") != undefined)
		$("jasc-isshow-favorite").value = 0;	
<?php if($this->paramsSetting->get("general_paging", "normal") == "scroll"):?>	
	queueListenerScroll();
<?php endif;?>
<?php if(!$this->paramsSetting->get("general_paging-normal-is_allow_display_by_page_link", 0)):?>
<?php echo $callFunSlideShow;?>
<?php endif;?>
<?php if($this->paramsSetting->get("general_is_show_cat_filter", 1) == 1):?>
	jascAddFilterElement('jasc-action-search-cat', 'jasc-search-cat', 'jasc-cat-elements');
<?php endif;?>
<?php if($this->paramsSetting->get("general_paging", "normal") != "normal"):?>
	$('jashowcase_loading').addEvent('click', function(){
		jasc_process_ajax = 2;
		if(jasc_paging_action == "scroll"){		
			if($('jashowcase_action')){
				$('jashowcase_action').style.display = "block";
			}		
		}
		$('jashowcase_loading').style.display = "none";
	});
<?php endif;?>
});
//]]>
</script>
