<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined ( '_JEXEC' ) or die ( 'Restricted access' );

//tooltip
JHTML::_('behavior.tooltip');
?>
<div class="ja-showcase module clearfix">	
	<div class="jasc-item-header">
		<div class="jasc-tools-wrap clearfix">
			<h3 class="<?php echo $this->item->params->get('suffix_class');?>"><span><?php echo $this->item->name; ?></span></h3>
			<?php if($this->item->ishot):?>
				<span class="badge">&nbsp;</span>   
			<?php endif;?>
		</div>
		
		<!-- check for show description -->
		<?php if($this->paramsSetting->get('general_show_description') && $this->item->description!='') :?>
	  	<div class="jasc-item-desc hasTip" title="<?php echo $this->item->description; ?>"><?php echo JascHelper::trimString($this->item->description, 0, 70);?></div>
		<?php else : ?>
	  	<div class="jasc-item-desc">&nbsp;</div>
		<?php endif;?>
	
	</div>
		
	<div class='ja-showcase-thumb'>
		<?php  echo $this->item->imageThumb;?>
	</div>
	<?php if(isset($this->item->rating)):?>
	<div class="jasc-item-rating clearfix">
		<strong><?php echo JText::_("RATING");?>:</strong>
		<div class="jasc-item-rating-list">
			<div class="jasc-current-rating" style="width: <?php 				
				if( $this->item->rating ) {					
					echo number_format(intval($this->item->rating[1])/intval($this->item->rating[2]), 2)*20;
				} else echo "0"; ?>%;">&nbsp;</div>
		</div>
	</div>
	<?php endif;?>
	
	<?php if(isset($this->item->extra_fields["Price"])):?>
	<div class="jasc-item-price clearfix">
		<strong><?php echo JText::_("PRICE");?>:</strong>
			<span class="jasc-current-price">
				<?php echo $this->item->extra_fields["Price"]; ?>				
			</span>
	</div>
	<?php endif;?>
	
	<div class="jasc-tools clearfix"> 		
	  	<?php if ($this->paramsSetting->get('general_show_more_info') && $this->item->info_url ) :?>
			<span class="jasc-more-info">
				<a href="<?php echo trim($this->item->info_url); ?>" title="<?php echo JText::_('MORE_INFO');?>" target="_<?php echo $this->paramsSetting->get('general_show_more_info-1-general_open_more');?>" class="more_info">
					<?php echo JText::_('MORE_INFO');?>
				</a>
			</span>
		<?php endif;?>
		
		<?php if($this->paramsSetting->get('general_show_live_demo') && $this->item->demo_url) :?>					
			<span class="jasc-demo">
				<a href="<?php echo $this->item->demo_url;?>" title="<?php echo JText::_('LIVE_DEMO');?>" target="_<?php echo $this->paramsSetting->get('general_show_live_demo-1-general_open_live');?>" class="live_demo">
					<?php echo JText::_('LIVE_DEMO');?>
				</a>
			</span>
	  <?php endif; ?>
	  
	  
	  <?php if($this->paramsSetting->get('general_allow_add_favorites')) :?>	
	  <span id="jasc-action-favorites-<?php echo $this->item->id;?>" class="jasc-action-favorites">
			<?php 
			 $styleAdd    = '';
			 $styleRemove = '';
			 if(isset($this->jascFavoritesTemplate) && in_array($this->item->id, $this->jascFavoritesTemplate)):
				$styleAdd       = 'style="display:none;"';				
			 else:
			    $styleRemove    = 'style="display:none;"';
			 endif;			 	
			?>		
			<a href="javascript:void(0)" <?php echo $styleRemove;?> class="jasc-favorites-active" onclick="saveToFavorites('remove',<?php echo $this->item->id;?>);return false;" title="<?php echo JText::_("REMOVE_FROM_FAV");?>"><?php echo JText::_("REMOVE_FROM_FAV");?></a>
			<a href="javascript:void(0)" <?php echo $styleAdd;?> class="jasc-favorites-unactive" onclick="saveToFavorites('save',<?php echo $this->item->id;?>);return false;" title="<?php echo JText::_("ADD_TO_FAVOR");?>"><?php echo JText::_("ADD_TO_FAVOR");?></a>			
  		</span> 
  		<?php endif;?>  		  	
    </div>	
</div>