<?php 
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */
?>
<?php 
    $thumbnailMode = $this->paramsSetting->get( 'thumbnail_mode', 'crop' );
	$aspect 	   = $this->paramsSetting ->get( 'thumbnail_mode-resize-use_ratio', '1' );
	$crop 		   = $thumbnailMode == 'crop' ? true:false;
	$height 	   = $this->paramsSetting ->get( 'category_thumb_height', '150' );	
	$width 		   = $this->paramsSetting ->get( 'category_thumb_width', '150' );		
	$currentID = JRequest::getVar( 'catid', '' );
	$end = $this->paramsSetting->get('item_max_chars', '256');
?>
<div class="jasc-force-categories">
<?php foreach( $this->mainCategories as $category ) : ?>
	<div class="jasc-category-item<?php echo ($category->id == $currentID ? " active":"")?>">
    	<?php if( $this->paramsSetting->get('category_show_thumb') && ($thumbURL = trim($category->thumbnail) ) ) : ?>
          <a href="<?php echo JascHelper::getBrowseCategoryLink( $category ); ?>">
     	   <img align="left" class="jasc-category-thumbnail" src="<?php echo JURI::base().JascHelper::renderCategoryThumb( $thumbURL, $width, $height, $crop, $aspect, $thumbnailMode ); ?>" />
           </a>
        <?php endif; ?>
       <span class="jasc-category-title">
       	 <a href="<?php echo JascHelper::getBrowseCategoryLink( $category ); ?>">
         	<?php echo $category->title; ?>
         </a>
       </span> 
    	<?php if ( $this->paramsSetting->get('category_show_description') ) : ?>
    	<span  class="jasc-category-desc"><?php echo JascHelper::trimString( $category->description, 0, $end  );?></span>
        <?php endif; ?>
        <p class="jasc-category-desc">
           <?php $output = JascHelper::findChidrentIDs( $this->treeData, array(), $category->id, true );?>
           <?php array_push($output, $category->id);  ?>     
        	<a href="<?php echo JascHelper::getCategoryLink( $category ); ?>"> 
				<?php echo JTEXT::sprintf(JText::_('HAS_NUMBER_ITEMS'), JascHelper::countItems( $output ) ); ?>
            </a>
         </p>
    </div>
<?php endforeach; ?>
</div>
