<?php 
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */
?>
<?php
jimport( 'joomla.application.component.view');
/**
 * HTML View class for the jashowcase Component
 *
 * @package		Joomla
 * @subpackage	Components
 */
class JashowcaseViewJaCategories extends JView {
	
	function display(){
		$mainframe = JFactory::getApplication();
		
		$user	=& JFactory::getUser();
		$this->paramsSetting  = JashowcaseHelper::_getSetting();
		$params 	   		   =& $mainframe->getParams('com_jashowcase');		
		$maxCategories = (int)$params->get( 'categories_per_row', 2 );	
		$id = $params->get( 'catid', 0 );		
		$this->paramsSetting->merge( $params );
				
		if( ($tmp = (int)JRequest::getVar('cid')) > 0 ){
			
			$id = $tmp; 
		}
		
	    $model = $this->getModel();
	
		// get full data
		$data = $model->getCategoriesTree( null, false );
		
		// get main categories
		$mainCategories = $model->findByParentId( $id );	
		// paging categories.
		$categoriesPages = array_chunk( $mainCategories, $maxCategories );
		
		
		$target = 'target="_'.$params->get('browse_cats_target_open', 'parent').'"';
		
		$this->assignRef( 'browse_layout', $params->get( 'browse_layout', 'tree' ) );
		$this->assignRef( 'mainCategories', $mainCategories );
		$this->assignRef( 'categoriesPages', $categoriesPages ); 
		$this->assignRef( 'treeData', $data );
		$this->assignRef( 'target', $target );
		$this->assignRef( 'paramsSetting', $this->paramsSetting );

		parent::display();
	}
	
	function countItemsByCategory( $id ){
		 $model = $this->getModel();
		 return $model->countItems( $id );
	}
}	
?>