<?php
/*
# ------------------------------------------------------------------------
# JA Amazon S3 installation Package (component & Plugin)
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

//JA Amazon S3 Component using Amazon S3 (Simple Storage Service) and CloudFusion Library
define('JACOMPONENT', 'com_jaamazons3');
define('JA_WORKING_DATA_FOLDER', JPATH_ROOT);
if(!defined('JASITE_URL')) define('JASITE_URL', JURI::root());

define('JA_PROFILE_PATH_DEPTH', 1);
// Require the base controller
require_once(JPATH_COMPONENT.DS.'controller.php');
//
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'mime.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jastorage.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jafile.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jaform.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jaloader.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'repo.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jasmushit.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jaencrypt.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'jamenu'.DS.'jamenu.php');

// Require Tarzan Library (CloudFusion)
// Api Refrence: http://getcloudfusion.com/docs/2.6/
require_once(JPATH_COMPONENT.DS.'lib'.DS.'cloudfusion.2.6'.DS.'sdk.class.php');
jaLoader::importRecursive(JPATH_COMPONENT.DS.'lib'.DS.'cloudfusion.2.6');

// Conflicted solve: 
// Remove CloudFustion autoloader (com_jaamazons3/lib/cloudfusion.2.6/sdk.class.php)
// And register Joomla autoloader (/joomla root/libraries/loader.php)
spl_autoload_unregister(array('CloudFusion', 'autoloader'));
spl_autoload_register('__autoload');
?>