<?php
/*
# ------------------------------------------------------------------------
# JA Amazon S3 installation Package (component & Plugin)
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

defined ( '_JEXEC' ) or die ( 'Restricted access' );

jimport ( 'joomla.application.component.controller' );

class jaAmazonS3Controller extends JController {
	function display() {
		$view = JRequest::getVar("view");
		if (empty($view)) {
			JRequest::setVar("view", "account");
		}
		parent::display();
	}

	function getLink() {
		return "index.php?option=".JACOMPONENT;
	}
	
	function redirectParent($url, $msg, $type = 'message') {
		$messageQueue = array();
		$messageQueue[] = array('message' => $msg, 'type' => strtolower($type));
		$session = JFactory::getSession();
		$session->set('application.queue', $messageQueue);
		
		echo "<script type=\"text/javascript\">var win = window.parent ? window.parent : window; win.document.location.href='$url';</script>\n";
		exit();
	}
}
