ALTER TABLE `#__jaamazons3_bucket` DROP `bucket_vhost`;
ALTER TABLE `#__jaamazons3_bucket` DROP `site_path`;
ALTER TABLE `#__jaamazons3_bucket` DROP `site_url`;
ALTER TABLE `#__jaamazons3_bucket` DROP `cron_enable`;
ALTER TABLE `#__jaamazons3_bucket` DROP `cron_minute`;
ALTER TABLE `#__jaamazons3_bucket` DROP `cron_hour`;
ALTER TABLE `#__jaamazons3_bucket` DROP `cron_day`;
ALTER TABLE `#__jaamazons3_bucket` DROP `cron_last_run`;

ALTER TABLE `#__jaamazons3_bucket` ADD `last_sync` datetime NOT NULL; 

ALTER TABLE `#__jaamazons3_disabled` CHANGE `bucket_id` `profile_id` int(11) NOT NULL;
 
CREATE TABLE IF NOT EXISTS `#__jaamazons3_file` (
  `bucket_id` int(11) NOT NULL,
  `path` varchar(255) NOT NULL,
  `last_update` datetime NOT NULL,
  `file_checksum` varchar(100) NOT NULL COMMENT 'the md5 sum of file',
  `file_exists` tinyint(1) NOT NULL,
  PRIMARY KEY (`bucket_id`,`path`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__jaamazons3_profile` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `bucket_id` int(11) NOT NULL,
  `profile_name` varchar(255) NOT NULL,
  `allowed_extension` text NOT NULL,
  `site_path` varchar(255) NOT NULL,
  `site_url` text NOT NULL,
  `cron_enable` tinyint(1) NOT NULL,
  `cron_minute` int(11) NOT NULL,
  `cron_hour` int(11) NOT NULL,
  `cron_day` int(11) NOT NULL,
  `cron_last_run` datetime NOT NULL,
  `is_default` tinyint(1) NOT NULL,
  `profile_status` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `#__jaamazons3_profile`
--

INSERT IGNORE INTO `#__jaamazons3_profile` (`id`, `bucket_id`, `profile_name`, `allowed_extension`, `site_path`, `site_url`, `cron_enable`, `cron_minute`, `cron_hour`, `cron_day`, `cron_last_run`, `is_default`, `profile_status`) VALUES
(1, 0, 'Default', 'js,css,jpg,gif,png,bmp,doc,pdf', '{jpath_root}', '{juri_root}', 0, 30, 0, 0, '0000-00-00 00:00:00', 1, 1),
(2, 0, 'caches folder', 'js,css,jpg,gif,png,bmp,doc,pdf', '{jpath_root}', '{juri_root}', 0, 10, 0, 0, '0000-00-00 00:00:00', 0, 0);

--
-- Dumping data for table `#__jaamazons3_disabled`
--

INSERT IGNORE INTO `#__jaamazons3_disabled` (`profile_id`, `path`) VALUES
(1, 'administrator'),
(1, 'cache'),
(1, 'includes'),
(1, 'language'),
(1, 'libraries'),
(1, 'logs'),
(1, 'media'),
(1, 'resources'),
(1, 'xmlrpc'),
(1, '_installation'),
(2, 'administrator'),
(2, 'components'),
(2, 'images'),
(2, 'includes'),
(2, 'language'),
(2, 'libraries'),
(2, 'logs'),
(2, 'media'),
(2, 'modules'),
(2, 'plugins'),
(2, 'resources'),
(2, 'templates'),
(2, 'xmlrpc'),
(2, '_installation');
