<?php
/**
 * ------------------------------------------------------------------------
 * JA Showcase component for Joomla 1.7
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die('Restricted access');

JToolBarHelper::title(   JText::_('JA_SHOWCASE_MANAGER' ) . ' / ' . (($this->client->id) ? JText::_('ADMIN_LANGUAGE') : JText::_('SITE_LANGUAGE')), 'generic.png' );
JToolBarHelper::editList();
JToolBarHelper::preferences('com_jashowcase');

JHTML::_('behavior.tooltip');
?>

<form action="index.php" method="post" name="adminForm" style="float:left; width:100%;">
<!-- <div style="margin-bottom:3px"><b><?php echo $this->pateTitle;?></b></div> -->
<table class="adminlist" width="100%">
<thead>
	<tr>
		<th width="20">
			<?php echo JText::_('NUM' ); ?>
		</th>
		<th width="30">&nbsp;</th>
		<th class="title">
			<?php echo JText::_('LANGUAGE' ); ?>
		</th>
		<th>
			<?php echo JText::_('DEFAULT' ); ?>
		</th>
		<th>
			<?php echo JText::_('VERSION' ); ?>
		</th>
	</tr>
</thead>
<tfoot>
	<tr>
		<td colspan="5">
			<?php echo $this->page->getListFooter(); ?>
		</td>
	</tr>
</tfoot>

<tbody>
<?php
	$k = 0;
	$option = JRequest::getCmd('option');
	for ($i=0, $n=count( $this->rows ); $i < $n; $i++) {
		$row = &$this->rows[$i];
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->page->getRowOffset( $i ); ?>
			</td>
			<td>
				<input type="radio" id="cb<?php echo $i;?>" name="cid[]" value="<?php echo $row->language; ?>" onclick="isChecked(this.checked);" />
			</td>
			<td>
				<a href="index.php?option=<?php echo $option;?>&task=edit&view=jamanagelang&lang=<?php echo $row->language;?>&client=<?php echo $this->client->id;?>"><?php echo $row->name;?></a>
			</td>
			<td align="center">
				<?php
				if ($row->published == 1) {	 ?>
					<img src="components/com_jashowcase/assets/images/icon-16-default.png" alt="<?php echo JText::_('DEFAULT' ); ?>" />
					<?php
				} else {
					?>
					&nbsp;
				<?php
				}
			?>
			</td>
			<td align="center">
				<?php echo $row->version; ?>
			</td>
		</tr>
	<?php
	}
	?>
</tbody>

</table>
<input type="hidden" name="option" value="<?php echo $option;?>" />
<input type="hidden" name="client" value="<?php echo $this->client->id;?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="view" value="jamanagelang" />
<input type="hidden" name="boxchecked" value="0" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>