<?php
	defined('_JEXEC') or die('Restricted access');

	JToolBarHelper::title(   JText::_('JA_SHOWCASE_MANAGER' ) . ' / ' . JText::_('ITEMS'), 'generic.png' );
	JToolBarHelper::custom('publish','publish', '', JText::_('PUBLISH'), true, false);
	JToolBarHelper::custom('unpublish','unpublish', '', JText::_('UNPUBLISH'), true, false);
	JToolBarHelper::custom('remove','delete', '', JText::_('REMOVE'), true, false);
	JToolBarHelper::custom('edit','edit', '', JText::_('EDIT'), true, false);
	JToolBarHelper::addNewX();
	JToolBarHelper::preferences('com_jashowcase');

	//tooltip
	JHTML::_('behavior.tooltip');
	$option = JRequest::getCmd('option');
	
	$app = JFactory::getApplication();
	?>
	<script type="text/javascript">
		function tableOrdering( order, dir, task ) {	
			var form = document.adminForm;
			form.filter_order.value 	= order;
			form.filter_order_Dir.value	= dir;
			//form.controller.value	= 'jashowcases';
			submitform( task );
		}		
	</script>
	<form action="index.php" method="post" name="adminForm" id="adminForm">
		<table class="adminheading"  align="right" width="100%">
			<tr>
				<td nowrap="nowrap" align="left" width="100%">
					<?php echo JText::_('FILTER' ); ?>:
					<input type="text" name="search" value="<?php echo $this->lists['search'];?>" class="inputbox" />
					<input type="submit" name="cmdSearch" id="search" value="<?php echo JText::_('GO' ); ?>" class="button" onclick="adminForm.view.value='jashowcase';adminForm.submit();" />
				</td>
				
				<td align="right" width="100px"`>
					<?php  echo  $this->clist; ?>
				</td>
				<td align="right" width="100px">
					<?php  echo  $this->ishotlists; ?>
				</td>
				
			</tr>
		</table>
		<table cellpadding="4" cellspacing="0" border="0" width="100%" class="adminlist" align="right">
			<thead>
						<th width="20">
							<?php echo JText::_('NUM' ); ?>
						</th>
					<th width="5%">
							<input type="checkbox" name="toggle" value=""  onclick="checkAll(<?php echo count( $this->items); ?>);" />
						</th>
						<th nowrap="nowrap" class="title">
							<?php echo JHTML::_('grid.sort',  JText::_('NAME'), 's.name', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>
						<th width="5%" nowrap="nowrap">
							<?php echo JHTML::_('grid.sort',   JText::_('PUBLISHED'), 's.published', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>
						<th width="5%" nowrap="nowrap">
							<?php echo JHTML::_('grid.sort',   JText::_('HOT'), 's.ishot', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>
						<th width="10%" class="order" nowrap="nowrap">														
							<?php echo JHTML::_('grid.sort',   JText::_('ORDER'), 's.ordering', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
							<?php echo JHTML::_('grid.order',  $this->items ); ?>
						</th>
						<th  nowrap="nowrap">
							<?php echo JHTML::_('grid.sort',   JText::_('CATEGORIES'), 's.catid', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>
						<th  nowrap="nowrap">
							<?php echo JHTML::_('grid.sort',   JText::_('LIVE_DEMO_URL'), 's.demo_url', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>

						<th width="5%" nowrap="nowrap">
							<?php echo JHTML::_('grid.sort',   'ID', 's.id', @$this->lists['order_Dir'], @$this->lists['order'] ); ?>
						</th>
					</tr>
			</thead>
			<tbody>
			<?php
	        $k = 0;
	        $rows =  $this->items;

	        for ($i = 0, $n = count($rows);$i < $n;$i++) {
	            $row = &$rows[$i];
	            $link 			= 'index.php?option='. $option . '&task=edit&cid='. $row->id;
	            $row->checked_out = 1;
	            $checked 		= JHTML::_('grid.checkedout',   $row, $i);
				      $published 		= JHTML::_('grid.published',  $row, $i);

				?>
				<tr class="<?php echo "row$k"; ?>">
			<td align="center"><?php echo $this->pageNav->getRowOffset( $i ); ?></td>
			<td align="center"><?php echo $checked; ?></td>

				<td align="left" >
					<?php $img_path = $this->path_thumbview.$row->directory.'/'.$row->thumbnail; ?>
					<span class="editlinktip hasTip" title="<?php echo $row->name;?>::
					<img border="1" src="<?php echo $img_path; ?>" name="imagelib" alt="<?php echo JText::_('NO_PREVIEW_AVAILABLE' ); ?>" width="154" />
					<a href="<?php echo $link;?>"><?php echo $row->name;?></a></span>
					<!--<a href="<?php echo $link;?>" onclick="return listItemTask('<?php echo $i;?>','edit')"> <?php echo $row->name;?> </a> -->
				</td>
				<td align="center" ><?php echo $published;?></td>

				<td align="center">
					<a href="javascript:void(0);" onclick="return listItemTask('cb<?php echo $i;?>','<?php echo $row->ishot?'unishot':'ishot';?>');" title="<?php echo ( $row->ishot ) ? JText::_('JYES' ) : JText::_('JNO' );?>">
						<img src="components/com_jashowcase/assets/images/<?php echo ( $row->ishot ) ? 'tick.png' : 'publish_x.png';?>" width="16" height="16" border="0" alt="<?php echo ( $row->ishot ) ? JText::_('JYES' ) : JText::_('JNO' );?>" style="vertical-align:middle;" />
					</a>
				</td>

				<td class="order" align="left">
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering;?>" class="text_area" style="text-align: center" />
				</td>
				<td align="left" ><?php echo $row->categoriesName;?></td>
				<td align="left" ><a href="<?php if(substr($row->demo_url, 0, 4)!='http' && $row->demo_url!='') $row->demo_url = 'http://'.$row->demo_url;echo $row->demo_url;?>" title="<?php echo JText::_('CLICK_HERE_TO_VIEW_DEMO');?>"><?php echo $row->demo_url;?></a></td>
				<td align="center"><?php echo $row->id; ?></td>
				<?php
	            echo "</tr>";
	            $k = 1 - $k;
	        }
	        if (count($rows) <= 0) {
	          ?>
	          <tr>
	          	<td colspan="10" align="center"><?php echo JText::_("Empty");?></td>
	          </tr>
	          <?php
	        }
	        ?>
	        </tbody>
	        <tfoot>
	        	<tr>
	        		<td colspan="10" align="center">
	        			<?php echo $this->pageNav->getListFooter();?>
	        		</td>
	        	</tr>

	        </tfoot>

		</table>

		<input type="hidden" name="option" value="com_jashowcase" />
    	<input type="hidden" name="view" value="jashowcase" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>

	</form>
