<?php
/*
# ------------------------------------------------------------------------
# JA News Featured module for Joomla 1.6 
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

// Ensure this file is being included by a parent file
defined('_JEXEC') or die( 'Restricted access' );
/**
 * Radio List Element
 *
 * @since      Class available since Release 1.2.0
 */
class JFormFieldThemes extends JFormField
{
	protected $type = 'themes';
	
	//function getInput()( $name, $value, &$node, $control_name ) {
	function getInput() {
		$uri = str_replace(DS,"/",str_replace( JPATH_SITE, JURI::base (), dirname(__FILE__) ));
		$uri = str_replace("/administrator", "", $uri);
		if(!defined('japaramhelper2')){			
			JHTML::stylesheet($uri."/assets/css/".'japaramhelper2.css');
			JHTML::script($uri."/assets/js/".'japaramhelper2.js');
					
			jimport('joomla.filesystem.folder');
			jimport('joomla.filesystem.file');
			
			define('japaramhelper2', true);
		}		
		
		/* Get all themes name folder from folder themes */
		$themes = array();
		
		// get in module
		$path = JPATH_SITE.DS.'modules'.DS.'mod_janews_featured'.DS.'tmpl';		
		if(!JFolder::exists($path)) return JText::_('Themes Folder not exist');
		$folders = JFolder::folders($path);
		if($folders){
			foreach ($folders as $fname){
				$themes[$fname] = $fname;
			}
		}
		
		// get in template	 
		$template = JFormFieldJaparamhelper2::get_active_template();
		$path = JPATH_SITE.DS.'templates'.DS.$template.DS.'html'.DS.'mod_janews_featured';		
		if(JFolder::exists($path)){
			$folders = JFolder::folders($path);
			if($folders){
				foreach ($folders as $fname){
					$themes[$fname] = $fname;
				}
			}
		}
			
		$HTMLThemes = array();
		if($themes){
			foreach ($themes as $fname){
				//
				$f = new stdClass();
				$f->id = $fname;
				$f->title = $fname;
				array_push($HTMLThemes, $f);
			}
		}		
		
		$html = JHTML::_('select.genericlist',  $HTMLThemes, @$matches[1][0].'['.$this->name.']', 'style="width:150px; position:relative" onchange="japarams2.changeTheme(this.value, false)"', 'id', 'title', $this->value );			
		return $html;
	}		
}