<?php
/*
 * # ------------------------------------------------------------------------
# JA flowlist module for Joomla 1.6.x
# ------------------------------------------------------------------------
# Copyright (C) 2004-2009 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
# @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
# Author: J.O.O.M Solutions Co., Ltd
# Websites: http://www.joomlart.com - http://www.joomlancers.com
# ------------------------------------------------------------------------
 */
defined( '_JEXEC' ) or die( 'Restricted access' );
require_once (dirname(__FILE__).'/helper.php');


$type 			= $params->get( 'type', 'content' );
$fwidth 		=  intval(trim($params->get( 'fwidth', 550 )));
$fheight 		=  intval(trim($params->get( 'fheight', 400 )));
$listheight 	=  trim($params->get( 'listheight', '' ));
$iwidth 		=  trim($params->get( 'iwidth', ''));
$iheight 		=  trim($params->get( 'iheight', '' ));
$flowFadeSpace	=  trim($params->get( 'flowFadeSpace', '' ));
$bgcolor 	    = $params->get( 'bgcolor');
$wmode 		    = $bgcolor ? 'opaque' : 'transparent';
$startItem 	    = intval(trim($params->get( 'startitem', 0 )));
$flowAnimationTweenType = $params->get( 'flowAnimationTweenType', "Regular" );
$flowAnimationSpeed 	= intval(trim($params->get( 'flowAnimationSpeed', 5 )));
$slideShowTime 			= intval(trim($params->get( 'slideShowTime', 500 )));
$slideShow 				= intval(trim($params->get( 'slideShow', 0 )));
$slideShowLoop 			= trim($params->get( 'slideShowLoop', 0 ));
$imagePadding 			= intval(trim($params->get( 'imagePadding', '' )));
$angle 					= trim($params->get( 'angle', '' ));
$vertical 				= trim($params->get( 'vertical','' ));
$alpha 					= trim($params->get( 'alpha','' ));
$clipAlpha 				= trim($params->get( 'clipAlpha','' ));
$distance 				= trim($params->get( 'distance','' ));
$matrixRatio 			= trim($params->get( 'matrixRatio','' ));
$matrixDropOff 			= trim($params->get( 'matrixDropOff','' ));


$helper = modJaFlowListHelper::getInstance();
if ( $type=="content" ){
	
	$catids = $params->get( 'content-catid', '' );
	if( $catids != "" ){
		if( !is_array($catids) ){
			$catids = array( $catids );
		}
		$catids = implode( ',', $catids );
	}
	

	$decription    = trim( $params->get( 'content-decription', 0));
	$descordinate  = trim( $params->get( 'content-descordinate'));
	$textstyle     = trim( $params->get( 'content-textstyle'));
	$limit    	   = (int)$params->get( 'content-max_items', 10 );
	if ( $startItem==0 ){
		$startItem = $helper->getTotalItems( $catids, $params );
	}else {
		$startItem--;
	}
	
	// xml path
	$xmlPath = JURI::base()."modules/mod_jaflowlist/ja_flowlist/content_xml.php?modid=".$module->id;
	
}else {
	$decription = 0;
	$descordinate = '';
	$textstyle = '';
	
	if ($startItem==0){
		$startItem = 0;
	}
	// xml path
	$xmlPath = JURI::base()."modules/mod_jaflowlist/ja_flowlist/content_xml.php?modid=".$module->id;
}
// render random id
$mod_id = $helper->genID();

echo '<script src="'.JURI::base().'modules/mod_jaflowlist/ja_flowlist/swfobject.js" type="text/javascript"></script>' . "\n";

?>
<!--url's used in the movie-->
<!--text used in the movie-->
<!-- saved from url=(0013)about:internet -->
<script language="javascript" type="text/javascript">
	var flashvars = {};
	flashvars.myxmlpath = '<?php echo $xmlPath; ?>';
	flashvars.type = '<?php echo $type; ?>';
	flashvars.decription = '<?php echo $decription ; ?>';
	flashvars.textstyle = '<?php echo $textstyle ; ?>';
	flashvars.descordinate = '<?php echo $descordinate ; ?>';
	flashvars.startItem = '<?php echo $startItem ; ?>';
	flashvars.flowFadeSpace = '<?php echo $flowFadeSpace ; ?>';
	flashvars.flowAnimationTweenType = '<?php echo $flowAnimationTweenType ; ?>';
	flashvars.flowAnimationSpeed = '<?php echo $flowAnimationSpeed ; ?>';
	flashvars.slideShowTime = '<?php echo $slideShowTime ; ?>';
	flashvars.slideShow = '<?php echo $slideShow ; ?>';
	flashvars.slideShowLoop = '<?php echo $slideShowLoop ; ?>';
	flashvars.imagePadding = '<?php echo $imagePadding ; ?>';
	flashvars.angle = '<?php echo $angle ; ?>';
	flashvars.vertical = '<?php echo $vertical ; ?>';
	flashvars.iwidth = '<?php echo $iwidth ; ?>';
	flashvars.iheight = '<?php echo $iheight ; ?>';
	flashvars.listheight = '<?php echo $listheight ; ?>';
	flashvars.alpha = '<?php echo $alpha ; ?>';
	flashvars.clipAlpha = '<?php echo $clipAlpha ; ?>';
	flashvars.distance = '<?php echo $distance ; ?>';
	flashvars.matrixRatio = '<?php echo $matrixRatio ; ?>';
	flashvars.matrixDropOff = '<?php echo $matrixDropOff ; ?>';
	
	var params = {};
	params.menu = 'true';
	params.width = '<?php echo $fwidth; ?>';
	params.height = '<?php echo $fheight; ?>';
	params.src = '<?php echo JURI::base();?>modules/mod_jaflowlist/ja_flowlist/flowlist_xml.swf';
	params.quality = 'high';
	params.pluginspage = 'http://www.macromedia.com/go/getflashplayer';
	params.align = 'middle';
	params.play = 'true';
	params.loop = 'false';
	params.scale = 'showall';
	params.wmode = '<?php echo $wmode; ?>';
	params.devicefont = 'false';
	params.bgcolor = '<?php echo $bgcolor; ?>';
	params.allowFullScreen = 'sameDomain';
	params.salign = '';
	
	var attributes = {};
	attributes.id = "flowlist_xml";
	attributes.name = "flowlist_xml";
	
	swfobject.embedSWF('<?php echo JURI::base();?>modules/mod_jaflowlist/ja_flowlist/flowlist_xml.swf', '<?php echo $mod_id ?>', '<?php echo $fwidth; ?>','<?php echo $fheight; ?>', "8.0.0",'', flashvars, params, attributes);
</script>
<div id="<?php echo $mod_id ?>"></div>
<noscript>
	<object type="application/x-shockwave-flash" 	data="<?php echo JURI::base();?>modules/mod_jaflowlist/ja_flowlist/flowlist_xml.swf" width="<?php echo $fwidth; ?>" height="<?php echo $fheight; ?>">
	<param name="allowScriptAccess" value="sameDomain" />
	<param name="allowFullScreen" value="true" />
	<param name="movie" value="<?php echo JURI::base();?>modules/mod_jaflowlist/ja_flowlist/flowlist_xml.swf" />
	<param name="quality" value="high" />
	<param name="bgcolor" value='<?php echo $bgcolor; ?>' />
	</object>
</noscript>


