<?php
/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

jimport('joomla.application.component.controller');

/**
 * JaShowcase Component Controller
 *
 * @package		JaShowcase
 */
class JashowcaseController extends JController
{
	/**
	 * Method to display the view
	 *
	 * @access	public
	 */
	function display()
	{ 
		$view = JRequest::getCmd('view');
		
		if(empty($view)) {
			JRequest::setVar( 'view', 'jashowcase' );
		};
		// check component off line;
		$user	=& JFactory::getUser();
		$params  = JashowcaseHelper::_getSetting();
		$acesss  = $params->get('component_accessleve', 0); 		
		$aid = $user->get('aid', 0) ;
		
		// check if the component is offlined.
		if( $params->get('component_off', '0') && ($acesss > $aid) ){
			JRequest::setVar('view', 'offline');
			JRequest::setVar('layout', 'default');
		} 
		parent::display();
	}
	
}
?>
