<?php 
/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

class jashowcaseModelJACategories extends JModel {
	/**
	 * buidd data tree list
	 */
	function buidTree($data, $root) {
		$out = array();
		$sizeOf = sizeof($data);

		for ($ii = 0; $ii < $sizeOf; $ii++) {
			if (($data[$ii]->parent_id == $root) 
					   || (($root === null) && ($data[$ii]->parent_id == '0'))) {
				$tmp = $data[$ii];
				
				if (isset($data[$ii]->id)) { 
					$tmp->children = $this->buidTree($data, $data[$ii]->id);
				} else {
					$tmp->children = null;
				}

				$out[] = $tmp;
			}
		}

		return $out;
	}
	
	function findByParentId( $id ){
		$query = "SELECT * FROM #__jasc_categories WHERE published=1 ";
		$query .= " and parent_id='".$id."' ORDER BY ordering ASC ";

		$this->_db->setQuery($query);
		$data = $this->_db->loadObjectList();
		return $data;
	}
	
	function getCategoriesTree( $root=null, $tree=true ){
		
		$query = "SELECT * FROM #__jasc_categories WHERE published=1 ";
		$query .= " ORDER BY ordering ASC ";

		$this->_db->setQuery($query);
		$data = $this->_db->loadObjectList();
		
		if( $tree ){
			$data = $this->buidTree( $data, $root );
		}
		return $data; 
		
	}
	
	function countItems( $id ){
		$query = ' SELECT count(id) as total FROM #__jashowcase WHERE catid='.(int)$id;
		$this->_db->setQuery($query);
		$data = $this->_db->loadObject();
		return $data->total;
	}
}
?>