<?php
/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

function JashowcaseBuildRoute(&$query)
{
	$segments = array();
	if(isset($query['view']))
	{
		if(empty($query['Itemid'])) {
			$segments[] = $query['view'];
		}

		unset($query['view']);
	};

	if(isset($query['catid'])){
		$db = &JFactory::getDBO();
		$catid = intval($query['catid']);
		$sql = "SELECT alias FROM #__categories WHERE id='$catid'";
		$db->setQuery($sql);
		$categories = $db->loadObjectList();
		$segments[] = $categories[0]->alias;
		unset($query['catid']);
	};

	if(isset($query['id'])) {
		if (empty($query['Itemid'])) {
			$segments[] = $query['id'];
		} else {
			$menu = &JSite::getMenu();
			$menuItem = &$menu->getItem( $query['Itemid'] );
			if (isset($menuItem->query['id'])) {
				if($query['id'] != $menuItem->query['id']) {
					$segments[] = $query['id'];
				}
			} else {
				$segments[] = $query['id'];
			}
		}
		unset($query['id']);
	};
	
	return $segments;
}

function JashowcaseParseRoute($segments)
{
	$vars = array();

	//Get the active menu item
	$menu =& JSite::getMenu();
	$item =& $menu->getActive();

	// Count route segments
	$count = count($segments);

	//Standard routing for articles
	if(!isset($item))
	{
		$vars['view']  = $segments[0];
		$vars['id']    = $segments[$count - 1];
		return $vars;
	}

	//Handle View and Identifier
	switch($item->query['view'])
	{		
		case 'jashowcase'   :
		{
			$db = &JFactory::getDBO();
			$alias = str_replace(':', '-', $segments[$count-1]);
			$sql = "SELECT id FROM #__categories WHERE alias='$alias'";
			$db->setQuery($sql);
			$categories = $db->loadObjectList();
			if(!$categories) $categories[0]->id = 0;
			$vars['catid']   =  $categories[0]->id;
			$vars['view']	 = 'jashowcase';
		} break;

	}
	return $vars;
}
?>