<?php
/*
# ------------------------------------------------------------------------
# JA Showcase component for Joomla 1.5
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
# Author: JoomlArt.com
# Websites: http://www.joomlart.com - http://www.joomlancers.com.
# ------------------------------------------------------------------------
*/

defined ( '_JEXEC' ) or die ( 'Restricted access' );
?>
<div class="ja-showcase module clearfix">	
	<div class="jasc-item-header">
		<div class="jasc-tools-wrap clearfix">
			<h3 class="<?php echo $this->item->params->get('suffix_class');?>"><span><?php echo $this->item->name; ?></span></h3>    	
		</div>
		
		<!-- check for show description -->
		<?php if($this->paramsSetting->get('general_show_description') && $this->item->description!='') :?>
		
	  	<div class="jasc-item-desc"><?php echo $this->item->description;?></div>
		<?php endif;?>
	
	</div>
		
	<div class='ja-showcase-thumb'>
		<?php  echo $this->item->imageThumb;?>
	</div>
	<?php if(isset($this->item->rating)):?>
	<div class="jasc-item-rating clearfix">
		<strong><?php echo JText::_("Rating");?>:</strong>
		<div class="jasc-item-rating-list">
			<div class="jasc-current-rating" style="width: <?php 				
				if( $this->item->rating ) {					
					echo number_format(intval($this->item->rating[1])/intval($this->item->rating[2]), 2)*20;
				} else echo "0"; ?>%;"> </div>
		</div>
	</div>
	<?php endif;?>
	
	<?php if(isset($this->item->extra_fields["Price"])):?>
	<div class="jasc-item-price clearfix">
		<strong><?php echo JText::_("Price");?>:</strong>
			<span class="jasc-current-price">
				<?php echo $this->item->extra_fields["Price"]; ?>				
			</span>
	</div>
	<?php endif;?>
	
	<div class="jasc-tools clearfix"> 		
	  	<?php if ($this->paramsSetting->get('general_show_more_info') && $this->item->info_url ) :?>
			<span class="jasc-more-info">
				<a href="<?php echo $this->item->info_url; ?>" title="<?php echo JText::_('MORE INFO');?>" target="_<?php echo $this->paramsSetting->get('general_show_more_info-1-general_open_more');?>" class="more_info">
					<?php echo JText::_('MORE INFO');?>
				</a>
			</span>
		<?php endif;?>
		
		<?php if($this->paramsSetting->get('general_show_live_demo') && $this->item->demo_url) :?>					
			<span class="jasc-demo">
				<a href="<?php echo $this->item->demo_url;?>" title="<?php echo JText::_('LIVE DEMO');?>" target="_<?php echo $this->paramsSetting->get('general_show_live_demo-1-general_open_live');?>" class="live_demo">
					<?php echo JText::_('LIVE DEMO');?>
				</a>
			</span>
	  <?php endif; ?>
	  
	  
	  <?php if($this->paramsSetting->get('general_allow_add_favorites')) :?>	
	  <span id="jasc-action-favorites-<?php echo $this->item->id;?>" class="jasc-action-favorites">
			<?php 
			 $styleAdd    = '';
			 $styleRemove = '';
			 if(isset($this->jascFavoritesTemplate) && in_array($this->item->id, $this->jascFavoritesTemplate)):
				$styleAdd       = 'style="display:none;"';				
			 else:
			    $styleRemove    = 'style="display:none;"';
			 endif;			 	
			?>		
			<a href="javascript:void(0)" <?php echo $styleRemove;?> class="jasc-favorites-active" onclick="saveToFavorites('remove',<?php echo $this->item->id;?>);return false;" title="<?php echo JText::_("Remove from my favorites");?>"><?php echo JText::_("Remove from my favorites");?></a>
			<a href="javascript:void(0)" <?php echo $styleAdd;?> class="jasc-favorites-unactive" onclick="saveToFavorites('save',<?php echo $this->item->id;?>);return false;" title="<?php echo JText::_("Add to favorites");?>"><?php echo JText::_("Add to favorites");?></a>			
  		</span> 
  		<?php endif;?>  		  	
    </div>	
</div>