<?php 
    $thumbnailMode = $this->paramsSetting->get( 'thumbnail_mode', 'crop' );
	$aspect 	   = $this->paramsSetting ->get( 'thumbnail_mode-resize-use_ratio', '1' );
	$crop 		   = $thumbnailMode == 'crop' ? true:false;
	$height 	   = $this->paramsSetting ->get( 'category_thumb_height', '150' );	
	$width 		   = $this->paramsSetting ->get( 'category_thumb_width', '150' );		
	$currentID = JRequest::getVar( 'cid', '' );
?>
<div class="jasc-force-categories">
<?php foreach( $this->categories as $category ) : ?>
	<div class="jasc-category-item<?php echo ($category->id == $currentID ? " active":"")?>">
    	<?php if( $this->paramsSetting->get('category_show_thumb') && ($thumbURL = trim($category->thumbnail) ) ) : ?>
          <a href="<?php echo JascHelper::getCategoryLink( $category ); ?>">
     	   <img align="left" class="jasc-category-thumbnail" src="<?php echo JURI::base().JascHelper::renderCategoryThumb( $thumbURL, $width, $height, $crop, $aspect ); ?>" />
           </a>
        <?php endif; ?>
       <span class="jasc-category-title">
       	 <a href="<?php echo JascHelper::getCategoryLink( $category ); ?>">
         	<?php echo $category->title; ?>
         </a>
       </span> 
    	<?php if ( $this->paramsSetting->get('category_show_description') ) : ?>
    	<span  class="jasc-category-desc"><?php echo $category->description?></span>
        <?php endif; ?>
    </div>
<?php endforeach; ?>
</div>
